// WHAT IS LOVE IF NOT WANTING TO BE SEEN?

var customize_page = window.location.href.indexOf("/customize") > -1;
var on_main = window.location.href.indexOf("/customize") < 0;
    
// audio post play button
// flaticon.com/free-icon/play-button_152770
var playb = "data:image/svg+xml;charset=utf8,<svg xmlns='http://www.w3.org/2000/svg' xmlns:xlink='http://www.w3.org/1999/xlink' version='1.1' id='Layer_1' x='0px' y='0px' viewBox='0 0 330 330' style='enable-background:new 0 0 330 330;' xml:space='preserve'> <path id='XMLID_497_' d='M292.95,152.281L52.95,2.28c-4.625-2.891-10.453-3.043-15.222-0.4C32.959,4.524,30,9.547,30,15v300 c0,5.453,2.959,10.476,7.728,13.12c2.266,1.256,4.77,1.88,7.272,1.88c2.763,0,5.522-0.763,7.95-2.28l240-149.999 c4.386-2.741,7.05-7.548,7.05-12.72C300,159.829,297.336,155.022,292.95,152.281z M60,287.936V42.064l196.698,122.937L60,287.936z'/> </svg>";

document.documentElement.style.setProperty('--audioplay','url("' + playb + '")');

// audio post pause button
// flaticon.com/free-icon/pause_747384
var pauseb = "data:image/svg+xml;charset=utf8,<svg xmlns='http://www.w3.org/2000/svg' xmlns:xlink='http://www.w3.org/1999/xlink' version='1.1' id='Capa_1' x='0px' y='0px' viewBox='0 0 512 512' style='enable-background:new 0 0 512 512;' xml:space='preserve'> <g> <g> <path d='M154,0H70C42.43,0,20,22.43,20,50v412c0,27.57,22.43,50,50,50h84c27.57,0,50-22.43,50-50V50C204,22.43,181.57,0,154,0z M164,462c0,5.514-4.486,10-10,10H70c-5.514,0-10-4.486-10-10V50c0-5.514,4.486-10,10-10h84c5.514,0,10,4.486,10,10V462z'/> </g> </g> <g> <g> <path d='M442,0h-84c-27.57,0-50,22.43-50,50v412c0,27.57,22.43,50,50,50h84c27.57,0,50-22.43,50-50V50C492,22.43,469.57,0,442,0z M452,462c0,5.514-4.486,10-10,10h-84c-5.514,0-10-4.486-10-10V50c0-5.514,4.486-10,10-10h84c5.514,0,10,4.486,10,10V462z'/> </g> </g> </svg>";

document.documentElement.style.setProperty('--audiopause','url("' + pauseb + '")');

// reblog icon
// flaticon.com/free-icon/repeat_709584
var vlly = "data:image/svg+xml;charset=utf8,<svg xmlns='http://www.w3.org/2000/svg' xmlns:xlink='http://www.w3.org/1999/xlink' version='1.1' id='Capa_1' x='0px' y='0px' viewBox='0 0 511.997 511.997' style='enable-background:new 0 0 511.997 511.997;' xml:space='preserve'> <g> <g> <path d='M467.938,87.164L387.063,5.652c-7.438-7.495-19.531-7.54-27.02-0.108s-7.54,19.525-0.108,27.014l67.471,68.006 l-67.42,67.42c-7.464,7.457-7.464,19.557,0,27.014c3.732,3.732,8.616,5.598,13.507,5.598s9.781-1.866,13.513-5.591l80.876-80.876 C475.325,106.689,475.345,94.634,467.938,87.164z'/> </g> </g> <g> <g> <path d='M455.005,81.509H56.995c-10.552,0-19.104,8.552-19.104,19.104v147.741c0,10.552,8.552,19.104,19.104,19.104 c10.552,0,19.104-8.552,19.104-19.104V119.718h378.905c10.552,0,19.104-8.552,19.104-19.104 C474.109,90.062,465.557,81.509,455.005,81.509z'/> </g> </g> <g> <g> <path d='M83.964,411.431l67.42-67.413c7.457-7.457,7.464-19.55,0-27.014c-7.463-7.464-19.563-7.464-27.02,0l-80.876,80.869 c-7.444,7.438-7.47,19.493-0.057,26.963l80.876,81.512c3.738,3.764,8.654,5.649,13.564,5.649c4.865,0,9.731-1.847,13.456-5.54 c7.489-7.432,7.54-19.525,0.108-27.02L83.964,411.431z'/> </g> </g> <g> <g> <path d='M454.368,238.166c-10.552,0-19.104,8.552-19.104,19.104v135.005H56.995c-10.552,0-19.104,8.552-19.104,19.104 c0,10.552,8.552,19.104,19.104,19.104h397.38c10.552,0,19.104-8.552,19.098-19.104V257.271 C473.472,246.719,464.92,238.166,454.368,238.166z'/> </g> </g> </svg>";

document.documentElement.style.setProperty('--rb-icon','url("' + vlly + '")');

// like icon
// flaticon.com/free-icon/white-heart_2267
var ftshhebo = "data:image/svg+xml;charset=utf8,<svg xmlns='http://www.w3.org/2000/svg' xmlns:xlink='http://www.w3.org/1999/xlink' version='1.1' id='Capa_1' x='0px' y='0px' viewBox='0 0 15.848 15.848' style='enable-background:new 0 0 15.848 15.848;' xml:space='preserve'> <g> <path style='fill:black;' d='M15.135,2.469c-0.652-0.858-1.694-1.352-3.183-1.511c-0.119-0.013-0.243-0.02-0.371-0.02 c-1.32,0-2.819,0.655-3.658,1.892C7.085,1.593,5.586,0.938,4.267,0.938c-0.128,0-0.252,0.007-0.371,0.02 c-1.488,0.159-2.529,0.653-3.182,1.51c-0.647,0.85-0.856,2.016-0.62,3.467c0.349,2.126,3.19,4.799,5.473,6.947 c0.661,0.62,1.251,1.176,1.636,1.59c0,0,0.39,0.438,0.754,0.438c0.364,0,0.742-0.443,0.742-0.443 c0.383-0.415,0.972-0.973,1.631-1.598c2.262-2.145,5.077-4.813,5.424-6.935C15.99,4.485,15.782,3.319,15.135,2.469z M14.562,5.74 c-0.281,1.721-3.159,4.45-5.063,6.253c-0.62,0.589-1.152,1.093-1.55,1.511c-0.399-0.415-0.933-0.917-1.554-1.502 c-1.922-1.809-4.826-4.54-5.108-6.262C1.106,4.63,1.237,3.776,1.676,3.2c0.441-0.579,1.21-0.919,2.351-1.042 C4.103,2.15,4.184,2.146,4.268,2.146c1.02,0,2.752,0.642,3.062,2.363c0.052,0.287,0.302,0.496,0.594,0.496s0.543-0.209,0.594-0.496 c0.309-1.721,2.042-2.363,3.063-2.363c0.084,0,0.165,0.004,0.243,0.013c1.141,0.122,1.909,0.462,2.352,1.042 C14.613,3.775,14.743,4.63,14.562,5.74z'/> </g> </svg>";

document.documentElement.style.setProperty('--like-icon','url("' + ftshhebo + '")');

// hashtag icon
// feathericons
var hash = "data:image/svg+xml;charset=utf8,<svg xmlns='http://www.w3.org/2000/svg' width='24' height='24' viewBox='0 0 24 24' fill='none' stroke='black' stroke-width='2' stroke-linecap='round' stroke-linejoin='round' class='feather feather-hash'><line x1='4' y1='9' x2='20' y2='9'></line><line x1='4' y1='15' x2='20' y2='15'></line><line x1='10' y1='3' x2='8' y2='21'></line><line x1='16' y1='3' x2='14' y2='21'></line></svg>";
    
    document.documentElement.style.setProperty('--hashtag','url("' + hash + '")');
    
// 'previous page' svg
// feathericons
var prev = "data:image/svg+xml;charset=utf8,<svg xmlns='http://www.w3.org/2000/svg' width='24' height='24' viewBox='0 0 24 24' fill='none' stroke='black' stroke-width='1.5' stroke-linecap='round' stroke-linejoin='round' class='feather feather-hash'><polyline points='11 17 6 12 11 7'></polyline><polyline points='18 17 13 12 18 7'></polyline></svg>";
    
document.documentElement.style.setProperty('--BackSVG','url("' + prev + '")');
    
// 'next page' svg
// feathericons
var next = "data:image/svg+xml;charset=utf8,<svg xmlns='http://www.w3.org/2000/svg' width='24' height='24' viewBox='0 0 24 24' fill='none' stroke='black' stroke-width='1.5' stroke-linecap='round' stroke-linejoin='round' class='feather feather-hash'><polyline points='13 17 18 12 13 7'></polyline><polyline points='6 17 11 12 6 7'></polyline></svg>";
    
document.documentElement.style.setProperty('--NextSVG','url("' + next + '")');
    
// sidebar leaf frame svg
// freepik.com/free-vector/_10476581.htm
var xerhirp = "data:image/svg+xml;charset=utf8,<svg xmlns='http://www.w3.org/2000/svg' version='1.0' width='1267.000000pt' height='1267.000000pt' viewBox='0 0 1267.000000 1267.000000' preserveAspectRatio='xMidYMid meet'> <g transform='translate(0.000000,1267.000000) scale(0.100000,-0.100000)' fill='black' stroke='none'> <path d='M5370 12044 c-818 -55 -1495 -235 -2190 -584 -1614 -808 -2743 -2370 -2999 -4145 -198 -1366 104 -2729 856 -3870 223 -337 453 -615 759 -915 449 -440 896 -754 1474 -1033 757 -367 1558 -547 2435 -547 237 0 283 5 568 54 334 58 462 32 934 -193 125 -60 278 -126 338 -146 98 -34 123 -39 235 -43 146 -5 234 8 440 68 74 22 178 51 230 65 208 57 412 162 734 377 99 67 220 148 268 180 195 130 470 254 743 333 156 45 295 75 348 75 62 0 11 19 -118 44 -227 44 -302 51 -515 50 -182 0 -219 -3 -330 -27 -153 -32 -322 -81 -495 -142 -71 -26 -215 -76 -318 -111 -209 -72 -317 -116 -747 -306 -162 -72 -358 -156 -435 -186 -129 -52 -148 -57 -234 -60 -52 -2 -136 1 -187 8 -152 19 -520 87 -504 93 8 3 134 37 280 76 487 128 625 179 1050 389 345 171 469 241 711 404 167 113 197 129 295 161 239 78 338 101 538 122 82 8 186 25 230 36 202 51 550 217 686 327 188 152 302 317 519 752 86 173 210 415 274 537 116 221 257 508 257 525 0 21 -28 0 -137 -105 -95 -91 -138 -124 -223 -171 -58 -32 -160 -96 -227 -142 -68 -46 -123 -81 -123 -78 0 3 27 56 59 117 33 62 78 159 101 217 73 185 125 274 209 360 100 102 201 175 407 295 365 212 451 287 551 481 23 46 59 136 79 201 20 65 51 159 69 208 77 210 94 357 105 890 9 460 15 518 74 752 36 140 112 357 152 432 18 36 32 67 29 69 -8 8 -153 -138 -252 -253 -174 -201 -276 -380 -357 -625 -41 -123 -67 -216 -172 -615 -38 -147 -82 -364 -149 -734 -60 -337 -101 -517 -127 -560 -46 -76 -135 -182 -285 -339 -85 -90 -157 -161 -159 -159 -2 2 28 93 67 203 139 394 197 615 235 893 65 481 66 494 73 806 l8 310 37 125 c49 167 95 279 176 435 83 159 120 273 155 475 49 290 43 439 -27 655 -37 118 -155 356 -287 580 -51 88 -150 266 -220 395 -70 129 -161 291 -202 360 -70 118 -74 123 -77 91 -2 -18 5 -68 14 -110 16 -65 18 -129 19 -456 0 -353 2 -389 24 -505 47 -256 82 -342 257 -640 189 -322 204 -368 184 -545 -11 -95 -11 -132 0 -214 17 -133 9 -225 -39 -401 -44 -163 -44 -163 -61 35 -42 496 -164 1027 -335 1460 -69 177 -211 460 -310 620 -108 174 -121 200 -180 355 -109 290 -249 510 -429 677 -113 105 -239 185 -355 225 -50 17 -98 26 -364 73 -43 7 -101 25 -128 39 -59 32 -63 20 -9 -34 46 -46 91 -70 212 -115 125 -47 272 -147 388 -264 74 -76 114 -128 184 -241 112 -181 160 -244 232 -306 242 -206 413 -429 558 -729 59 -120 138 -306 133 -311 -5 -5 -290 227 -386 314 -93 85 -192 199 -269 312 -99 145 -240 281 -416 399 -155 105 -386 224 -402 209 -3 -4 25 -44 63 -91 83 -104 131 -188 227 -403 123 -274 196 -384 324 -489 125 -104 410 -227 610 -265 29 -5 99 -28 157 -50 116 -46 151 -76 191 -166 63 -143 158 -550 213 -914 51 -339 76 -720 65 -990 -6 -175 -20 -309 -23 -229 -2 60 -31 198 -62 294 -33 105 -116 276 -256 532 -55 100 -126 248 -158 329 -32 81 -86 193 -120 248 -33 56 -86 153 -118 216 -86 175 -120 213 -380 422 -75 61 -167 158 -244 257 -2 2 -6 2 -9 -2 -4 -3 5 -38 19 -76 14 -38 42 -145 62 -238 55 -257 79 -342 150 -543 131 -371 226 -502 432 -597 267 -122 303 -143 372 -211 80 -78 116 -144 171 -311 47 -143 66 -249 87 -506 16 -189 16 -208 0 -322 -25 -175 -86 -409 -192 -728 -124 -377 -195 -551 -352 -867 -73 -147 -133 -276 -133 -286 0 -11 -35 -49 -87 -93 -104 -89 -240 -240 -298 -329 -24 -36 -104 -189 -180 -340 -76 -151 -153 -298 -171 -327 -55 -86 -106 -129 -222 -187 -83 -42 -128 -73 -196 -134 -105 -96 -173 -133 -371 -202 -82 -29 -157 -55 -165 -58 -8 -3 46 44 121 105 629 514 1114 1087 1422 1680 33 64 91 184 128 266 38 82 95 188 127 236 32 47 89 131 126 186 217 318 333 728 296 1040 -13 114 -44 209 -120 375 -89 196 -100 223 -100 272 0 59 -15 69 -30 22 -17 -51 -7 -210 19 -304 17 -62 21 -104 21 -241 0 -253 -20 -336 -149 -624 -86 -191 -118 -293 -126 -412 -19 -255 -136 -595 -304 -888 -75 -129 -210 -339 -216 -334 -6 6 33 425 51 539 22 148 58 287 109 416 50 129 89 280 106 409 16 122 6 553 -15 654 -16 76 -31 107 -40 80 -75 -250 -112 -328 -259 -561 -205 -323 -255 -473 -244 -732 7 -173 49 -365 127 -571 21 -55 48 -146 60 -202 20 -96 21 -105 6 -155 -33 -115 -162 -272 -501 -613 -415 -417 -781 -712 -1199 -964 -159 -96 -168 -100 -106 -43 30 28 58 51 61 52 10 0 143 158 186 220 67 96 103 159 246 430 125 239 171 316 306 514 22 32 63 111 92 175 29 64 70 145 92 181 66 108 125 240 141 320 8 41 20 138 26 215 15 197 26 265 61 382 41 137 36 151 -26 66 -27 -37 -110 -131 -185 -208 -195 -203 -252 -270 -391 -456 -185 -249 -254 -375 -285 -518 -20 -97 -17 -182 12 -332 34 -179 42 -333 20 -419 -50 -196 -242 -433 -556 -686 -174 -140 -211 -165 -325 -222 -324 -161 -1145 -394 -1645 -466 -440 -64 -1001 -37 -1549 74 -1051 214 -2011 731 -2776 1495 -1235 1233 -1807 2955 -1554 4680 235 1605 1200 3048 2602 3891 895 539 1904 806 2947 780 272 -6 376 -14 615 -46 894 -121 1774 -476 2485 -1001 37 -28 72 -18 68 19 -2 21 -32 46 -163 135 -844 574 -1762 890 -2780 957 -136 9 -542 11 -655 4z m4508 -1626 c97 -40 175 -93 273 -186 82 -77 217 -235 278 -325 46 -67 161 -317 146 -317 -3 0 -17 24 -31 53 -32 63 -157 268 -193 317 -69 93 -116 140 -236 235 -174 136 -221 166 -350 221 -60 25 -114 49 -118 54 -19 17 163 -24 231 -52z m67 -142 c82 -62 241 -200 283 -245 70 -74 129 -167 330 -516 7 -12 -175 153 -229 206 -19 20 -64 83 -99 140 -131 214 -184 285 -282 382 -94 93 -95 102 -3 33z m-38 -668 c170 -100 240 -153 301 -227 26 -32 102 -125 169 -207 165 -202 291 -332 433 -448 l35 -28 -50 27 c-76 43 -226 149 -320 227 -104 87 -190 186 -258 298 -62 102 -147 189 -282 292 -107 81 -184 147 -173 148 4 0 69 -37 145 -82z m1362 -353 c151 -546 301 -1139 301 -1192 0 -20 -197 313 -274 462 -128 248 -175 520 -161 938 4 115 11 205 15 200 4 -4 58 -188 119 -408z m36 230 c43 -77 132 -232 199 -345 225 -383 309 -579 343 -796 14 -92 15 -127 5 -241 -20 -231 -86 -477 -159 -592 l-39 -61 0 202 c-1 311 -39 529 -179 1016 -40 141 -106 379 -145 527 -59 226 -101 373 -128 455 -9 29 25 -26 103 -165z m-1361 1 c147 -126 172 -155 240 -270 120 -202 278 -349 560 -517 49 -29 84 -55 78 -57 -12 -4 -111 20 -202 50 -305 98 -564 321 -654 563 -15 39 -57 132 -95 208 -38 75 -67 137 -64 137 3 0 65 -51 137 -114z m346 -1401 c83 -135 163 -248 373 -528 211 -282 402 -556 393 -564 -2 -3 -24 7 -48 20 -24 14 -83 42 -133 62 -223 91 -338 180 -399 309 -58 121 -142 326 -180 437 -28 86 -113 386 -133 474 -3 11 15 -16 40 -60 24 -44 63 -111 87 -150z m211 -31 c76 -79 119 -143 182 -270 24 -50 61 -116 80 -147 59 -91 137 -260 137 -294 0 -6 -229 284 -334 422 -132 174 -336 483 -336 509 0 13 212 -159 271 -220z m1098 -386 c0 -67 -3 -96 -9 -83 -14 32 -9 185 6 185 2 0 4 -46 3 -102z m836 -88 c-83 -286 -102 -448 -110 -930 -7 -410 -17 -531 -64 -712 -64 -244 -191 -561 -265 -657 -86 -111 -221 -209 -443 -320 -57 -28 -105 -51 -108 -51 -3 0 15 22 40 48 149 157 229 316 365 717 38 110 96 277 130 370 34 94 93 274 131 400 55 187 74 268 100 435 32 214 79 416 124 535 29 76 126 287 131 282 1 -1 -12 -54 -31 -117z m-69 -7 c-86 -172 -144 -379 -200 -713 -45 -264 -94 -422 -395 -1265 l-21 -60 5 50 c3 27 8 88 11 135 13 190 62 460 145 798 110 450 249 799 403 1015 42 59 79 107 81 107 3 0 -10 -30 -29 -67z m-1232 -1765 c25 -88 36 -217 26 -317 -19 -182 -97 -467 -169 -616 -34 -71 -170 -290 -171 -274 0 3 38 84 84 180 145 302 167 380 186 641 15 216 12 289 -15 428 -14 69 -25 132 -24 140 1 21 64 -118 83 -182z m-89 -363 c-22 -211 -39 -289 -89 -412 -64 -156 -218 -466 -212 -423 3 19 13 89 21 154 22 170 29 193 92 329 127 277 174 419 190 574 l8 78 3 -75 c2 -41 -4 -142 -13 -225z m-614 -495 c-6 -54 -34 -163 -75 -296 -108 -350 -155 -551 -174 -754 l-8 -85 -9 80 c-10 102 0 363 20 480 20 127 58 250 111 365 56 123 71 192 84 395 5 88 15 192 22 230 l12 70 13 -200 c10 -141 11 -225 4 -285z m-80 253 c-35 -297 -34 -295 -131 -513 -88 -198 -115 -375 -108 -699 6 -241 6 -241 -55 -61 -138 408 -100 776 112 1069 34 46 88 138 122 203 33 66 63 117 66 114 3 -3 0 -54 -6 -113z m-1005 -1114 c-101 -191 -181 -391 -331 -829 -98 -286 -187 -523 -235 -625 l-38 -80 -1 52 c-1 28 -15 123 -32 210 -58 300 -38 421 101 628 26 39 77 115 113 170 74 113 211 287 326 415 42 47 91 104 110 127 19 24 36 41 38 39 2 -2 -21 -50 -51 -107z m1892 34 c-8 -10 -120 -142 -248 -293 -389 -458 -684 -791 -887 -1000 l-83 -85 84 175 c209 438 257 518 406 674 106 111 223 212 350 301 76 54 379 245 389 245 2 0 -3 -8 -11 -17z m-1829 -143 c-13 -227 -47 -355 -136 -518 -29 -53 -86 -164 -127 -247 -40 -82 -97 -181 -126 -220 -29 -38 -49 -61 -46 -50 4 11 48 148 98 305 50 157 120 362 155 455 62 162 180 423 186 414 2 -2 0 -65 -4 -139z m1751 -126 c-66 -131 -175 -354 -244 -494 -217 -445 -377 -651 -621 -800 -225 -138 -547 -250 -717 -250 l-63 0 79 45 c302 173 573 425 967 900 68 82 225 265 348 405 122 140 255 296 295 346 39 50 72 90 73 89 2 -1 -51 -109 -117 -241z m-1380 -1299 c0 -2 -42 -32 -92 -66 -80 -53 -88 -56 -58 -26 19 20 60 50 90 66 59 33 60 33 60 26z m330 -796 l75 -1 -135 -24 c-241 -43 -420 -103 -720 -241 -249 -114 -416 -167 -1000 -318 -162 -42 -329 -85 -370 -96 -41 -11 -84 -23 -95 -25 -11 -3 25 19 80 48 55 30 118 66 140 79 120 76 610 280 934 388 377 126 757 206 936 196 44 -3 114 -5 155 -6z m40 -72 c-330 -104 -539 -209 -897 -450 -201 -136 -403 -262 -488 -304 -184 -92 -415 -166 -713 -229 -149 -32 -179 -35 -272 -31 -170 8 -311 58 -572 203 -65 36 -117 68 -115 70 2 2 30 -1 63 -8 87 -18 340 -14 458 6 111 19 275 58 476 116 74 21 187 50 250 65 361 83 767 214 985 317 337 159 516 220 760 262 202 35 218 31 65 -17z'/> </g> </svg>";

document.documentElement.style.setProperty('--leaf-outline','url("' + xerhirp + '")');

// sidebar leaves - inside
// freepik.com/free-vector/_10476581.htm
var qtxwa = "data:image/svg+xml;charset=utf8,<svg xmlns='http://www.w3.org/2000/svg' version='1.0' width='1267.000000pt' height='1267.000000pt' viewBox='0 0 1267.000000 1267.000000' preserveAspectRatio='xMidYMid meet'> <g transform='translate(0.000000,1267.000000) scale(0.100000,-0.100000)' fill='black' stroke='none'> <path d='M9577 10503 c-14 -13 -5 -22 66 -63 112 -67 291 -206 345 -268 51 -59 105 -137 212 -307 91 -143 128 -186 216 -259 44 -35 95 -80 113 -100 26 -27 43 -36 67 -36 18 0 35 4 38 8 9 14 -41 164 -86 262 -82 175 -162 296 -275 417 -181 194 -356 299 -561 334 -129 22 -126 21 -135 12z'/> <path d='M9700 9733 c0 -4 25 -48 55 -98 30 -50 93 -175 139 -277 138 -307 181 -371 331 -490 120 -95 413 -227 588 -264 90 -19 94 -18 113 11 16 24 16 27 -2 47 -11 11 -50 46 -89 76 -106 84 -269 247 -343 342 -36 47 -87 110 -112 140 -26 30 -66 81 -89 112 -50 67 -187 186 -288 251 -64 41 -284 157 -298 157 -3 0 -5 -3 -5 -7z'/> <path d='M10140 8323 c0 -36 62 -289 102 -413 45 -141 182 -498 211 -550 79 -142 165 -209 387 -301 85 -35 179 -81 210 -101 30 -21 58 -38 63 -38 16 0 4 39 -34 110 -40 75 -120 250 -178 390 -18 41 -63 129 -101 196 -38 66 -89 161 -111 210 -23 49 -59 112 -79 139 -46 63 -208 216 -284 270 -31 22 -83 59 -115 83 -32 23 -62 42 -65 42 -3 0 -6 -16 -6 -37z'/> <path d='M11015 6080 c3 -19 8 -105 12 -191 9 -269 -19 -403 -143 -676 -46 -102 -93 -215 -104 -251 -25 -80 -60 -304 -60 -384 0 -53 2 -58 25 -64 14 -3 32 -1 39 5 27 22 215 308 242 367 15 32 41 106 59 164 18 58 46 139 61 180 29 75 29 76 29 300 0 149 -5 249 -14 295 -14 73 -78 203 -127 260 l-26 30 7 -35z'/> <path d='M10366 5415 c-25 -52 -54 -109 -67 -126 -12 -17 -38 -68 -58 -113 -20 -45 -57 -111 -82 -146 -75 -107 -128 -205 -168 -313 -32 -87 -39 -118 -44 -216 -12 -206 48 -539 129 -722 51 -114 65 -139 79 -139 24 0 35 59 65 365 14 137 62 333 145 585 73 221 95 339 95 502 0 127 -29 418 -42 418 -4 0 -28 -43 -52 -95z'/> <path d='M9355 4187 c-39 -40 -98 -106 -132 -147 -34 -41 -84 -97 -113 -125 -129 -125 -372 -490 -428 -645 -33 -90 -35 -101 -33 -215 1 -68 10 -163 21 -220 10 -55 24 -157 31 -227 7 -71 16 -128 19 -128 13 0 51 62 110 181 70 141 122 221 190 296 46 50 200 334 200 367 0 8 16 35 35 60 70 92 129 233 155 371 19 104 37 505 23 505 -5 -1 -40 -33 -78 -73z'/> </g> </svg>";

document.documentElement.style.setProperty('--leaves-inside','url("' + qtxwa + '")');

// sidebar leaves - outside
// freepik.com/free-vector/_10476581.htm
var qfuyni = "data:image/svg+xml;charset=utf8,<svg xmlns='http://www.w3.org/2000/svg' version='1.0' width='1267.000000pt' height='1267.000000pt' viewBox='0 0 1267.000000 1267.000000' preserveAspectRatio='xMidYMid meet'> <g transform='translate(0.000000,1267.000000) scale(0.100000,-0.100000)' fill='black' stroke='none'> <path d='M11124 9769 c-3 -6 -8 -142 -11 -302 -6 -303 3 -408 52 -661 28 -141 110 -324 240 -536 28 -47 78 -137 110 -200 69 -134 74 -163 56 -358 -10 -110 -10 -133 3 -171 9 -24 16 -60 16 -81 0 -49 10 -100 20 -100 39 0 156 210 191 341 63 242 74 309 74 474 -1 181 -14 264 -71 427 -35 100 -172 378 -241 486 -45 71 -262 459 -303 542 -29 59 -103 150 -121 150 -5 0 -11 -5 -15 -11z'/> <path d='M12454 7748 c-145 -152 -288 -376 -357 -558 -56 -148 -128 -373 -203 -635 -64 -220 -151 -668 -189 -970 -13 -110 -33 -233 -44 -273 -24 -90 -78 -182 -168 -287 -70 -81 -113 -138 -113 -149 0 -18 62 0 130 38 43 24 103 55 134 69 78 36 215 137 312 229 66 63 90 95 131 175 60 116 105 234 166 438 86 287 87 298 96 855 l8 455 31 139 c26 116 54 219 138 519 9 31 -12 18 -72 -45z'/> <path d='M11096 4080 c-266 -158 -319 -195 -465 -324 -165 -145 -290 -295 -382 -457 -75 -134 -188 -364 -250 -512 -28 -68 -41 -85 -97 -132 -35 -29 -85 -61 -110 -70 -72 -27 -140 -72 -217 -145 -38 -36 -88 -79 -109 -96 l-40 -31 30 -15 c23 -12 54 -13 154 -8 111 6 142 12 271 54 156 49 376 149 472 214 106 72 212 177 295 294 151 214 238 365 318 549 18 42 78 159 135 260 128 231 204 392 219 466 7 32 15 63 17 70 11 29 -33 7 -241 -117z'/> <path d='M9630 1760 c-235 -45 -407 -93 -725 -201 -292 -99 -551 -207 -827 -345 -107 -54 -352 -156 -481 -200 -38 -13 -110 -31 -160 -40 -82 -15 -109 -16 -241 -5 -132 11 -150 11 -164 -3 -9 -8 -14 -17 -11 -19 52 -45 233 -135 459 -229 130 -54 156 -61 248 -70 115 -10 226 5 457 63 383 96 537 156 739 286 75 48 169 109 209 134 39 26 131 90 203 142 154 112 165 118 485 257 181 79 273 114 345 130 111 24 254 71 254 82 0 5 -3 8 -7 8 -5 0 -82 9 -173 20 -239 29 -424 26 -610 -10z'/> </g> </svg>";

document.documentElement.style.setProperty('--leaves-outside','url("' + qfuyni + '")');

// crown header thing above the sidebar title text
// freepik.com/free-vector/_11060948.htm
var yaaqxr = "data:image/svg+xml;charset=utf8,<svg xmlns='http://www.w3.org/2000/svg' version='1.0' width='2348.000000pt' height='383.000000pt' viewBox='0 0 2348.000000 383.000000' preserveAspectRatio='xMidYMid meet'> <metadata> Created by potrace 1.16, written by Peter Selinger 2001-2019 </metadata> <g transform='translate(0.000000,383.000000) scale(0.100000,-0.100000)' fill='black' stroke='none'> <path d='M11178 3793 c-86 -14 -228 -145 -302 -277 -96 -174 -175 -478 -176 -673 l0 -83 -62 50 c-53 43 -110 75 -250 141 -87 41 -296 62 -397 38 -158 -36 -268 -149 -287 -296 -9 -69 6 -69 73 0 62 64 131 92 202 84 131 -16 301 -108 440 -240 148 -141 491 -633 595 -855 41 -86 62 -85 72 5 7 73 -1 242 -17 313 -16 73 -23 850 -10 1045 26 380 71 558 163 645 25 24 94 60 115 60 15 0 7 27 -11 33 -21 8 -119 15 -148 10z'/> <path d='M12063 3787 c-24 -5 -43 -15 -43 -22 0 -6 24 -21 53 -33 67 -29 100 -58 131 -119 30 -57 64 -179 76 -278 5 -38 15 -108 22 -155 17 -123 16 -1103 -1 -1185 -15 -66 -26 -323 -17 -361 10 -38 35 -28 56 21 18 43 126 234 160 285 9 14 45 68 80 120 140 211 349 472 416 518 16 12 39 30 50 40 40 36 156 102 226 128 143 52 247 33 331 -62 54 -61 71 -59 62 9 -19 143 -108 242 -257 288 -111 35 -329 17 -448 -37 -118 -53 -198 -103 -253 -157 l-32 -31 -8 104 c-9 117 -40 309 -64 385 -38 125 -117 300 -147 324 -9 8 -16 19 -16 25 0 18 -94 119 -126 136 -16 8 -35 21 -42 27 -17 16 -109 43 -141 42 -14 -1 -45 -6 -68 -12z'/> <path d='M10421 3337 c-59 -30 -83 -75 -78 -145 8 -105 112 -163 206 -114 50 25 73 61 74 118 3 75 -17 111 -76 140 -62 29 -70 29 -126 1z'/> <path d='M12780 3337 c-109 -53 -108 -213 2 -263 102 -46 216 34 205 145 -6 53 -31 89 -83 118 -49 27 -68 27 -124 0z'/> <path d='M11589 3202 c-175 -267 -227 -387 -325 -747 -39 -146 -74 -455 -74 -665 0 -190 36 -478 70 -555 5 -11 12 -31 15 -45 8 -29 57 -143 65 -150 3 -3 12 -18 20 -35 22 -44 156 -175 180 -175 29 0 25 21 -15 67 -41 49 -67 106 -97 216 -32 116 -32 429 0 627 45 286 107 528 198 775 37 99 48 125 54 125 3 0 12 -17 19 -37 8 -21 22 -56 33 -78 26 -54 100 -253 126 -342 53 -176 62 -215 82 -334 15 -94 21 -173 21 -303 0 -96 -2 -179 -4 -184 -3 -4 -8 -28 -12 -52 -9 -62 -33 -171 -44 -195 -5 -11 -21 -51 -37 -90 -15 -38 -40 -93 -56 -121 -24 -43 -26 -53 -14 -63 11 -9 24 0 69 49 117 130 195 263 251 432 64 190 71 244 70 528 -1 215 -4 272 -21 360 -32 160 -77 332 -103 395 -4 11 -18 49 -31 85 -12 36 -35 93 -51 128 -15 34 -28 65 -28 68 0 12 -215 429 -233 452 -5 6 -15 12 -21 12 -6 -1 -54 -67 -107 -148z'/> <path d='M9829 2293 c-9 -58 -13 -179 -13 -353 l1 -265 35 -136 c100 -386 303 -610 626 -688 51 -12 96 -19 102 -16 22 13 7 32 -58 70 -93 55 -203 163 -257 254 -39 66 -59 117 -106 276 -17 60 -29 263 -23 398 4 75 8 137 10 137 26 0 237 -109 284 -147 8 -6 50 -39 92 -73 202 -160 336 -361 374 -557 16 -85 16 -97 2 -165 -26 -123 2 -133 63 -22 122 221 80 527 -110 814 -62 94 -213 253 -306 322 -145 107 -335 193 -470 213 -22 4 -67 10 -100 16 -33 5 -76 9 -96 9 l-37 0 -13 -87z'/> <path d='M13390 2364 c-160 -25 -265 -61 -393 -135 -279 -160 -485 -406 -583 -694 -36 -106 -45 -305 -19 -404 27 -106 79 -201 109 -201 15 0 17 5 12 28 -15 66 -18 194 -6 254 41 195 201 412 438 591 34 26 65 47 68 47 3 0 28 15 57 33 61 38 177 90 185 82 3 -3 8 -81 10 -173 7 -263 -21 -420 -106 -591 -37 -75 -62 -109 -128 -175 -45 -46 -106 -97 -135 -113 -84 -48 -96 -59 -82 -74 10 -10 31 -8 105 10 261 66 439 216 553 466 45 97 51 116 79 235 40 166 50 365 32 600 -8 107 -18 203 -21 213 -9 21 -50 21 -175 1z'/> <path d='M11590 1841 c-8 -4 -28 -14 -44 -22 -16 -8 -43 -31 -60 -52 -29 -36 -31 -45 -31 -115 0 -90 22 -136 83 -174 48 -30 142 -31 190 -3 95 57 120 216 48 302 -47 56 -140 88 -186 64z'/> <path d='M7967 1652 c-134 -47 -225 -201 -229 -384 -2 -57 18 -190 32 -223 5 -11 12 -31 16 -45 21 -75 101 -213 164 -281 16 -19 30 -37 30 -41 0 -5 -27 -8 -61 -8 l-60 0 18 31 c18 30 18 31 -3 48 -22 18 -56 77 -69 121 -7 26 -24 64 -57 138 -11 23 -29 47 -41 53 -46 25 -248 88 -347 108 -173 35 -201 40 -305 52 -171 19 -231 22 -530 22 -510 1 -940 -50 -1530 -182 -49 -11 -160 -38 -245 -60 -85 -22 -199 -51 -254 -65 -54 -14 -128 -35 -165 -46 -137 -42 -804 -221 -936 -252 -87 -20 -262 -61 -565 -133 -688 -163 -1098 -220 -1510 -212 -257 5 -346 17 -515 68 -299 91 -535 286 -602 498 -42 131 -20 282 56 374 132 160 304 248 455 233 77 -8 173 -55 231 -112 52 -53 103 -153 111 -219 3 -27 7 -52 9 -55 2 -4 -2 -35 -9 -71 -16 -75 -56 -152 -115 -220 -36 -42 -53 -79 -35 -79 16 0 86 68 117 113 72 104 82 138 82 277 0 115 -2 130 -27 182 -32 68 -38 77 -103 141 -57 55 -135 98 -214 117 -69 16 -214 8 -267 -14 -70 -31 -141 -67 -163 -84 -135 -103 -188 -163 -238 -267 -27 -57 -28 -67 -28 -201 0 -87 4 -150 12 -165 6 -13 23 -51 38 -84 14 -32 41 -82 59 -110 42 -62 193 -209 261 -252 28 -18 55 -36 61 -41 28 -24 209 -103 289 -127 50 -15 99 -30 110 -35 69 -28 383 -59 605 -59 216 -1 660 34 760 59 19 5 132 25 250 44 118 19 271 46 340 60 69 14 157 31 195 37 39 6 79 14 90 19 23 9 341 70 368 70 9 0 25 4 35 9 9 5 85 23 167 41 83 18 159 36 170 40 11 4 88 22 170 40 83 18 159 36 170 40 11 5 81 22 155 39 74 17 158 37 185 45 74 21 287 66 308 66 9 0 25 4 35 9 15 9 170 40 347 72 171 30 385 59 510 69 77 6 167 15 200 20 118 18 529 33 730 26 267 -9 395 -25 567 -70 90 -24 226 -85 278 -125 23 -18 35 -19 150 -12 107 6 128 5 146 -9 20 -15 16 -17 -80 -28 -373 -45 -693 -217 -781 -419 -18 -43 -22 -177 -5 -198 17 -20 40 -19 40 3 1 27 35 97 60 120 47 44 142 82 264 107 168 34 358 48 736 53 355 4 550 -5 873 -43 37 -4 186 11 195 20 10 10 -24 37 -85 66 -67 32 -122 64 -232 133 -36 23 -72 46 -81 51 -41 25 -116 77 -210 146 -275 200 -384 309 -478 481 -104 188 -103 306 4 418 30 31 51 60 47 63 -12 12 -77 6 -126 -11z'/> <path d='M15360 1656 c0 -8 9 -21 21 -28 11 -7 39 -38 62 -68 42 -55 42 -55 42 -140 0 -73 -5 -95 -32 -159 -61 -141 -196 -315 -316 -406 -14 -11 -70 -54 -124 -95 -54 -42 -109 -83 -123 -93 -106 -72 -286 -193 -295 -196 -5 -2 -37 -21 -70 -41 -33 -20 -88 -49 -122 -64 -57 -26 -82 -50 -67 -65 11 -11 290 -6 429 9 180 18 854 20 1083 2 379 -29 569 -105 597 -240 4 -18 14 -36 22 -39 28 -11 43 26 43 103 0 61 -5 82 -31 133 -33 64 -133 168 -192 197 -17 9 -39 22 -47 29 -52 44 -349 144 -480 161 -71 9 -100 20 -100 38 0 12 10 14 48 11 26 -3 86 -7 134 -9 86 -5 87 -5 130 29 24 19 46 35 50 35 4 0 35 13 70 29 98 45 201 69 438 101 191 26 760 21 1000 -10 41 -5 131 -14 200 -20 113 -10 346 -42 505 -70 142 -24 332 -62 350 -70 11 -4 47 -13 80 -19 144 -28 251 -52 270 -60 11 -5 85 -23 165 -41 80 -17 154 -35 165 -40 11 -4 85 -22 165 -40 80 -17 154 -36 165 -40 11 -5 34 -11 50 -13 61 -9 281 -59 297 -68 10 -5 26 -9 37 -9 22 0 312 -56 361 -69 19 -6 114 -24 210 -42 96 -17 184 -35 195 -39 24 -9 411 -71 442 -70 12 0 24 -4 27 -8 3 -5 43 -12 88 -15 46 -4 142 -14 213 -22 183 -21 563 -30 714 -17 152 14 345 43 349 54 2 4 12 8 23 8 58 0 347 116 386 155 8 8 18 15 23 15 11 0 167 124 194 154 99 111 186 248 186 295 0 11 6 21 13 23 9 4 12 43 12 154 l0 149 -39 80 c-30 60 -59 99 -117 158 -43 42 -85 77 -93 77 -9 0 -16 4 -16 9 0 13 -147 85 -202 99 -58 15 -180 15 -233 1 -145 -38 -264 -139 -321 -274 -26 -60 -31 -226 -10 -301 30 -106 168 -276 199 -245 7 7 5 16 -8 31 -10 11 -15 20 -11 20 4 0 -6 12 -23 26 -30 25 -35 32 -79 115 -33 62 -35 73 -35 179 0 84 4 101 28 150 83 162 249 250 416 220 143 -26 335 -170 392 -295 10 -22 25 -69 32 -104 38 -176 -82 -397 -296 -549 -50 -35 -214 -117 -274 -137 -84 -29 -244 -64 -337 -74 -225 -26 -625 -8 -913 40 -66 11 -149 24 -185 30 -61 9 -134 24 -410 82 -63 14 -232 53 -375 86 -143 34 -291 69 -330 78 -38 8 -104 24 -145 35 -41 11 -102 26 -135 35 -94 23 -382 102 -460 125 -38 12 -110 32 -160 45 -49 13 -103 28 -120 33 -131 36 -447 119 -475 124 -19 4 -57 14 -85 21 -65 18 -220 53 -315 71 -41 7 -109 21 -150 29 -41 9 -86 17 -100 19 -14 2 -74 11 -135 20 -60 9 -139 20 -175 26 -273 41 -856 59 -1127 35 -351 -32 -513 -63 -727 -137 -95 -34 -129 -60 -147 -118 -7 -19 -15 -39 -19 -45 -4 -5 -18 -41 -31 -78 -13 -40 -36 -81 -53 -98 -27 -26 -28 -31 -16 -53 7 -14 22 -27 34 -29 12 -2 -18 -5 -66 -6 -49 0 -88 2 -88 6 0 4 20 33 45 64 150 192 225 455 180 635 -33 133 -85 209 -176 259 -63 34 -169 47 -169 21z'/> <path d='M10415 1568 c-42 -15 -71 -43 -94 -94 -27 -57 -26 -108 3 -164 27 -54 72 -87 130 -95 129 -20 223 78 205 212 -15 117 -127 182 -244 141z'/> <path d='M12835 1565 c-89 -32 -139 -149 -101 -238 34 -79 121 -126 211 -114 61 9 98 30 132 74 25 33 28 45 28 112 0 78 -2 84 -50 132 -47 48 -141 62 -220 34z'/> <path d='M583 1190 c-119 -72 -82 -254 54 -267 72 -7 115 14 143 72 37 77 15 155 -56 196 -40 24 -102 23 -141 -1z'/> <path d='M9245 1195 c-33 -8 -82 -20 -110 -26 -119 -28 -423 -170 -448 -210 -12 -19 60 -175 127 -277 119 -180 362 -362 557 -418 30 -8 63 -19 74 -24 36 -15 162 -30 255 -30 92 0 226 17 245 30 6 4 26 11 45 15 53 10 220 95 220 111 0 12 -23 13 -142 8 -110 -5 -164 -3 -236 10 -226 40 -450 166 -616 348 -79 86 -81 82 63 129 378 123 652 52 851 -221 53 -74 80 -88 80 -44 0 68 -81 266 -136 334 -100 122 -262 223 -414 256 -100 23 -334 27 -415 9z'/> <path d='M13795 1198 c-193 -48 -308 -107 -412 -215 -73 -76 -130 -175 -167 -288 -40 -126 -14 -163 48 -69 123 185 323 294 541 294 73 0 223 -23 260 -40 11 -5 31 -12 45 -15 65 -17 140 -49 140 -59 0 -18 -128 -148 -205 -208 -101 -78 -177 -121 -286 -161 -151 -57 -178 -61 -379 -62 -153 0 -185 -2 -185 -14 0 -8 14 -19 30 -24 17 -6 32 -14 35 -18 7 -10 154 -69 172 -69 8 0 18 -4 24 -9 14 -13 156 -31 252 -31 89 0 243 18 252 30 3 4 20 10 38 13 35 7 164 56 172 66 3 3 26 16 51 29 119 60 272 196 361 323 55 77 140 253 136 281 -2 14 -41 39 -133 87 -180 92 -231 111 -370 144 -102 23 -351 32 -420 15z'/> <path d='M22756 1191 c-16 -9 -39 -29 -50 -44 -29 -39 -28 -121 2 -169 54 -87 196 -74 244 22 63 125 -77 262 -196 191z'/> <path d='M9528 844 c-39 -20 -58 -64 -58 -128 0 -47 4 -61 29 -88 28 -31 33 -33 96 -33 62 0 68 2 95 32 81 91 23 234 -94 233 -23 -1 -53 -7 -68 -16z'/> <path d='M13773 833 c-31 -6 -81 -66 -88 -107 -9 -47 10 -100 46 -131 24 -20 41 -25 82 -25 66 0 97 16 119 60 32 64 15 152 -36 185 -27 18 -86 27 -123 18z'/> </g> </svg>";

document.documentElement.style.setProperty('--crown','url("' + yaaqxr + '")');

// triangle svg
var kiwr = "data:image/svg+xml;charset=utf8,<svg version='1.1' xmlns='http://www.w3.org/2000/svg' xmlns:xlink='http://www.w3.org/1999/xlink' viewBox='0 0 100 100'> <polygon points='50, 40 100, 100 0, 100'/> </svg>";

document.documentElement.style.setProperty('--triangu','url("' + kiwr + '")');

// hex (background) svg
// freepik.com/free-vector/_16135863.htm
var zcenrp = "data:image/svg+xml;charset=utf8,<svg xmlns='http://www.w3.org/2000/svg' version='1.0' width='1500.000000pt' height='1499.000000pt' viewBox='0 0 1500.000000 1499.000000' preserveAspectRatio='xMidYMid meet'> <metadata> Created by potrace 1.16, written by Peter Selinger 2001-2019 </metadata> <g transform='translate(0.000000,1499.000000) scale(0.100000,-0.100000)' fill='black' stroke='none'> <path d='M5936 13440 l-1546 -1550 -640 0 -641 1 1 -641 0 -640 -1557 -1555 -1558 -1555 1558 -1555 1557 -1555 0 -640 -1 -641 641 1 640 0 1555 -1557 1554 -1558 1558 1558 1558 1558 632 -2 c348 0 637 2 643 6 7 4 10 213 10 643 l0 637 1549 1549 c1216 1216 1548 1553 1541 1565 -8 15 -2336 2341 -2860 2859 l-235 232 3 626 c1 344 0 635 -3 645 -6 18 -26 19 -648 19 l-643 0 -234 238 c-783 793 -2858 2862 -2871 2862 -9 0 -712 -698 -1563 -1550z'/> </g> </svg>";

document.documentElement.style.setProperty('--squazre','url("' + zcenrp + '")');

// hex (foreground) frame svg
// freepik.com/free-vector/_16135863.htm
var wg = "data:image/svg+xml;charset=utf8,<svg xmlns='http://www.w3.org/2000/svg' version='1.0' width='1500.000000pt' height='1499.000000pt' viewBox='0 0 1500.000000 1499.000000' preserveAspectRatio='xMidYMid meet'> <metadata> Created by potrace 1.16, written by Peter Selinger 2001-2019 </metadata> <g transform='translate(0.000000,1499.000000) scale(0.100000,-0.100000)' fill='black' stroke='none'> <path d='M5936 13440 l-1546 -1550 -640 0 -641 1 1 -641 0 -640 -1557 -1555 -1558 -1555 1558 -1555 1557 -1555 0 -640 -1 -641 641 1 640 0 1555 -1557 1554 -1558 1558 1558 1558 1558 632 -2 c348 0 637 2 643 6 7 4 10 213 10 643 l0 637 1549 1549 c1216 1216 1548 1553 1541 1565 -8 15 -2336 2341 -2860 2859 l-235 232 3 626 c1 344 0 635 -3 645 -6 18 -26 19 -648 19 l-643 0 -234 238 c-783 793 -2858 2862 -2871 2862 -9 0 -712 -698 -1563 -1550z m3038 -87 l1467 -1463 -2943 0 -2943 0 215 213 c724 716 1157 1146 1895 1886 456 457 833 830 836 829 4 -2 667 -661 1473 -1465z m2791 -5853 l0 -4265 -4265 0 -4265 0 -3 4268 -2 4267 4267 -2 4268 -3 0 -4265z m-8655 0 l0 -2940 -1462 1466 c-805 806 -1463 1470 -1463 1474 0 7 2914 2937 2923 2939 1 1 2 -1322 2 -2939z m11708 1 c1 -3 -363 -371 -809 -816 -1215 -1212 -1679 -1679 -1699 -1711 -10 -16 -105 -116 -212 -222 l-195 -194 -6 249 c-9 322 -9 5121 0 5404 l6 217 1456 -1460 c801 -803 1457 -1463 1459 -1467z m-4581 -4604 c-119 -116 -782 -774 -1472 -1462 -690 -687 -1259 -1250 -1264 -1250 -5 0 -669 658 -1475 1463 l-1466 1462 2947 0 2948 0 -218 -213z'/> <path d='M7394 14430 c-55 -55 -99 -105 -99 -111 0 -12 197 -210 205 -207 24 10 210 195 210 209 0 14 -186 198 -210 207 -4 2 -52 -42 -106 -98z'/> <path d='M7420 13998 c-55 -97 -144 -180 -242 -226 -77 -37 -175 -62 -244 -62 l-28 0 22 16 c30 21 28 52 -4 64 -45 18 -154 12 -199 -10 -92 -45 -85 -155 12 -195 88 -37 252 -3 409 85 105 60 227 181 271 270 27 56 49 120 41 120 -2 0 -19 -28 -38 -62z'/> <path d='M7482 13998 c-18 -76 -67 -151 -154 -233 -69 -65 -103 -91 -243 -186 -45 -30 -83 -69 -69 -69 5 0 38 -7 74 -14 149 -32 283 -126 339 -238 17 -34 31 -73 31 -86 0 -24 -2 -23 -37 18 -74 86 -206 150 -351 171 -260 37 -381 -103 -270 -311 33 -62 136 -180 157 -180 6 0 11 10 11 23 0 28 42 69 89 87 48 19 176 17 239 -4 79 -27 165 -121 176 -193 1 -7 5 -16 9 -19 4 -4 7 -18 7 -31 0 -12 5 -23 10 -23 6 0 10 11 10 24 0 14 4 27 9 30 4 3 11 20 15 38 23 117 182 210 328 194 101 -12 154 -45 164 -102 3 -16 7 -30 9 -32 7 -8 114 107 146 158 45 70 68 160 56 215 -33 141 -283 176 -503 70 -57 -27 -96 -56 -141 -102 -35 -35 -63 -58 -63 -51 1 28 49 129 80 168 67 85 189 155 317 181 61 13 62 13 45 32 -9 11 -35 31 -57 45 -71 44 -179 128 -250 195 -80 74 -130 150 -147 225 -7 29 -15 52 -18 52 -3 0 -11 -23 -18 -52z'/> <path d='M7546 14030 c26 -97 124 -232 222 -303 167 -122 389 -187 493 -143 101 42 111 154 17 196 -43 19 -175 28 -212 14 -21 -8 -20 -43 1 -66 15 -17 14 -18 -48 -13 -165 14 -315 100 -403 230 -23 33 -49 71 -59 85 l-18 25 7 -25z'/> <path d='M6393 13250 c-28 -12 -71 -40 -96 -65 -44 -45 -117 -168 -117 -198 0 -21 -19 -32 -33 -18 -28 28 -97 -4 -122 -55 -30 -64 -8 -145 55 -197 40 -35 142 -82 208 -97 28 -7 52 -14 52 -16 0 -2 -13 -10 -30 -19 -16 -8 -37 -27 -46 -41 -16 -24 -16 -26 6 -49 37 -40 84 -50 225 -50 119 1 139 3 232 33 123 40 249 114 334 197 59 58 115 132 106 141 -2 3 -51 -11 -108 -30 -205 -67 -225 -71 -365 -71 -119 0 -134 2 -178 25 -70 35 -99 97 -94 196 3 61 7 77 28 99 48 52 103 67 154 43 37 -16 57 -52 63 -113 l6 -53 24 29 c34 40 43 130 18 182 -55 116 -203 174 -322 127z'/> <path d='M8470 13261 c-87 -19 -149 -65 -181 -135 -25 -55 -25 -132 1 -173 26 -43 40 -42 40 3 0 53 25 98 66 117 56 27 89 22 136 -22 40 -36 42 -42 46 -105 7 -114 -36 -188 -127 -221 -100 -35 -316 -10 -507 59 -126 46 -135 30 -42 -70 109 -116 237 -193 395 -239 201 -59 429 -36 441 44 4 27 -12 47 -56 70 l-34 18 68 16 c129 32 225 93 259 164 21 44 15 111 -15 153 -22 31 -71 45 -102 29 -24 -13 -25 -13 -48 51 -30 82 -115 186 -175 214 -59 28 -116 37 -165 27z'/> <path d='M3550 11480 c-20 -20 -20 -29 -20 -728 0 -787 -3 -752 65 -752 68 0 65 -31 65 707 l0 663 665 0 c652 0 665 0 685 20 25 25 25 51 1 81 l-19 24 -711 3 c-703 3 -710 3 -731 -18z'/> <path d='M10010 11493 c-42 -15 -53 -70 -20 -103 20 -20 33 -20 685 -20 l665 0 0 -665 c0 -652 0 -665 20 -685 11 -11 33 -20 50 -20 60 0 58 -24 61 740 2 382 -1 705 -5 718 -4 13 -19 27 -33 33 -25 9 -1396 12 -1423 2z'/> <path d='M3829 11159 c-18 -18 -19 -36 -19 -387 0 -345 1 -370 18 -385 28 -25 67 -21 91 9 20 26 21 38 21 340 l0 314 318 0 c301 0 320 1 336 19 26 28 18 82 -14 98 -19 9 -115 12 -378 12 -336 0 -354 -1 -373 -20z'/> <path d='M10409 11161 c-26 -21 -28 -65 -4 -91 17 -19 33 -20 337 -20 l318 0 0 -314 c0 -302 1 -314 21 -340 24 -31 68 -35 92 -8 15 16 17 59 18 373 1 195 -1 364 -5 377 -4 13 -19 27 -32 32 -13 5 -182 9 -374 9 -315 -1 -352 -3 -371 -18z'/> <path d='M3546 4978 c-14 -20 -16 -105 -16 -720 0 -500 3 -704 11 -722 7 -14 23 -27 38 -30 19 -4 1221 -1 1398 3 50 2 70 64 33 101 -20 20 -33 20 -685 20 l-665 0 0 663 c0 738 3 707 -65 707 -24 0 -39 -7 -49 -22z'/> <path d='M11356 4978 c-14 -20 -16 -102 -16 -685 l0 -663 -663 0 c-730 0 -707 2 -707 -60 0 -26 21 -59 38 -61 56 -4 1395 -7 1415 -3 15 3 33 15 39 27 10 17 12 185 10 722 -4 776 -1 745 -67 745 -24 0 -39 -7 -49 -22z'/> <path d='M3825 4606 c-14 -20 -15 -72 -13 -391 3 -343 4 -368 21 -380 27 -20 743 -13 762 7 25 25 26 54 4 81 l-20 27 -320 0 -319 0 0 314 c0 302 -1 314 -21 340 -27 34 -72 35 -94 2z'/> <path d='M11081 4604 c-20 -26 -21 -38 -21 -340 l0 -314 -319 0 -320 0 -20 -27 c-22 -27 -21 -56 3 -81 10 -10 96 -14 380 -17 354 -4 367 -4 386 15 19 19 20 36 20 383 0 312 -2 366 -16 385 -22 31 -67 29 -93 -4z'/> <path d='M2083 8971 c-34 -16 -44 -27 -54 -60 -10 -33 -9 -43 1 -56 12 -14 11 -18 -1 -26 -8 -5 -18 -9 -22 -9 -21 0 -87 -37 -148 -83 -50 -37 -74 -63 -95 -105 -82 -163 26 -362 198 -362 40 0 86 18 106 43 10 11 5 14 -29 15 -56 3 -98 27 -115 67 -18 44 -18 67 2 107 28 59 58 73 155 73 78 0 89 -2 122 -28 59 -45 80 -96 85 -208 5 -114 -15 -228 -64 -371 -51 -146 -47 -154 40 -82 119 96 224 265 267 429 53 205 25 425 -56 425 -24 0 -65 -41 -65 -66 0 -7 -4 -15 -9 -18 -4 -3 -15 23 -24 59 -33 131 -91 224 -162 256 -51 23 -79 23 -132 0z'/> <path d='M1264 8326 c-41 -18 -64 -76 -64 -164 0 -37 3 -77 6 -89 8 -28 39 -30 67 -5 20 17 20 16 13 -49 -18 -181 -119 -344 -267 -431 -72 -43 -57 -51 24 -12 159 75 301 256 366 468 59 193 -15 338 -145 282z'/> <path d='M1750 8229 c-39 -16 -88 -69 -102 -108 -6 -20 -11 -79 -11 -131 1 -157 58 -296 166 -403 55 -53 57 -58 31 -52 -160 35 -278 166 -326 360 -12 49 -26 84 -32 82 -6 -2 -50 -59 -97 -126 -135 -192 -253 -300 -363 -331 -25 -7 -46 -16 -46 -19 0 -4 20 -13 45 -20 25 -7 71 -30 103 -51 58 -37 173 -152 214 -214 13 -18 41 -60 63 -92 44 -67 75 -104 86 -104 4 0 14 32 23 72 41 182 153 320 293 360 29 9 54 13 57 11 3 -3 -14 -19 -36 -37 -91 -69 -161 -209 -180 -359 -13 -112 -1 -186 42 -246 76 -104 251 -68 401 82 l61 62 -36 6 c-39 6 -58 24 -80 75 -33 74 -28 207 11 284 35 72 159 160 223 160 34 0 22 17 -17 25 -93 17 -189 99 -219 188 -26 74 -24 199 3 252 27 52 51 73 88 77 l30 3 -67 66 c-108 107 -248 162 -328 128z'/> <path d='M570 7605 l-104 -104 60 -63 c32 -35 81 -83 107 -107 l48 -45 107 107 107 107 -105 105 c-58 58 -107 105 -110 105 -3 0 -52 -47 -110 -105z'/> <path d='M980 7442 c0 -4 17 -16 37 -27 70 -38 170 -146 208 -227 37 -77 65 -186 65 -253 0 -39 -1 -39 -13 -15 -17 35 -62 40 -71 8 -11 -42 -6 -158 8 -192 29 -70 106 -97 159 -56 14 11 33 40 43 65 63 167 -108 520 -316 650 -44 27 -120 57 -120 47z'/> <path d='M2195 7118 c7 -24 27 -85 44 -137 67 -203 69 -397 4 -497 -40 -62 -203 -87 -269 -42 -33 23 -64 74 -64 107 0 35 22 80 48 97 14 9 50 20 79 23 l53 6 -35 24 c-55 37 -123 40 -187 7 -64 -32 -93 -67 -120 -143 -51 -146 36 -287 226 -368 65 -27 76 -38 56 -50 -33 -20 10 -98 66 -121 45 -19 78 -18 123 6 71 36 126 127 160 263 15 62 19 68 26 47 14 -44 45 -80 69 -80 53 0 86 86 86 221 0 212 -81 414 -232 574 -104 110 -157 135 -133 63z'/> <path d='M12779 8970 c-67 -36 -120 -121 -158 -256 -19 -69 -19 -69 -31 -39 -26 68 -73 85 -109 39 -54 -68 -55 -283 -2 -445 38 -117 113 -244 189 -322 58 -60 127 -111 142 -105 5 2 -6 47 -24 101 -18 53 -31 97 -29 97 2 0 -3 15 -11 34 -8 19 -13 36 -11 38 3 2 -2 28 -10 58 -8 30 -15 98 -15 150 0 84 3 102 28 155 24 51 36 64 76 84 40 19 59 23 121 19 62 -3 78 -7 101 -28 94 -87 45 -220 -81 -220 -44 0 -44 -9 -2 -37 76 -52 203 -18 264 71 109 159 44 326 -167 428 -102 49 -97 45 -82 60 31 31 -1 99 -58 122 -52 21 -86 20 -131 -4z'/> <path d='M13632 8324 c-130 -91 -45 -420 163 -629 58 -59 98 -90 147 -113 97 -46 113 -39 33 14 -93 60 -161 134 -201 219 -32 66 -64 194 -64 253 l0 26 16 -22 c17 -24 59 -30 67 -9 14 37 18 127 7 167 -16 60 -67 110 -112 110 -18 0 -44 -7 -56 -16z'/> <path d='M13125 8231 c-55 -14 -148 -74 -208 -136 l-59 -60 28 -3 c82 -10 131 -149 102 -287 -22 -107 -101 -190 -210 -222 -61 -18 -76 -33 -33 -33 14 0 25 -4 25 -10 0 -5 10 -10 23 -10 30 0 105 -50 138 -93 63 -79 83 -242 41 -329 -27 -55 -42 -68 -84 -77 l-31 -6 66 -67 c91 -91 176 -133 270 -133 l69 0 42 46 c119 132 69 430 -101 597 -56 55 -60 62 -36 56 104 -24 212 -108 269 -211 35 -61 74 -182 74 -226 0 -20 0 -20 21 -1 12 10 37 43 56 72 135 211 284 352 403 383 28 7 50 15 50 19 0 3 -21 12 -47 18 -117 32 -223 128 -373 337 -51 72 -94 132 -96 134 -8 9 -13 -6 -28 -77 -39 -189 -169 -339 -328 -377 -18 -5 -28 -3 -28 4 0 6 4 11 8 11 5 0 27 16 50 36 66 56 116 151 163 310 24 80 1 234 -43 290 -38 48 -111 65 -193 45z'/> <path d='M14210 7605 l-104 -105 94 -98 c52 -55 103 -103 113 -106 14 -6 40 15 117 93 55 56 100 107 100 113 0 11 -198 208 -209 208 -4 0 -53 -47 -111 -105z'/> <path d='M13991 7440 c-146 -53 -274 -186 -359 -375 -79 -175 -83 -316 -10 -383 28 -25 81 -32 116 -13 50 27 84 158 63 239 -10 35 -16 42 -36 42 -13 0 -31 -10 -39 -22 l-16 -22 0 29 c0 63 29 178 62 248 41 86 140 191 224 238 30 17 54 33 54 35 0 5 3 6 -59 -16z'/> <path d='M12754 7132 c-79 -58 -165 -164 -219 -272 -94 -185 -121 -434 -62 -552 19 -36 27 -43 52 -43 24 0 35 8 54 38 l25 38 28 -87 c67 -206 159 -277 291 -225 37 15 63 74 47 109 -6 14 -9 26 -8 27 2 2 30 14 62 28 88 37 178 107 203 159 39 81 46 107 39 155 -22 164 -173 267 -300 206 -49 -23 -52 -40 -9 -41 19 -1 52 -9 71 -19 68 -33 80 -132 24 -188 -36 -36 -62 -45 -131 -45 -99 0 -161 40 -195 128 -34 90 -14 287 49 477 45 136 45 135 31 135 -7 0 -31 -13 -52 -28z'/> <path d='M6390 2554 c-135 -27 -169 -79 -85 -133 l45 -28 -65 -16 c-80 -20 -167 -61 -210 -98 -86 -76 -80 -219 10 -249 25 -8 40 -8 55 0 12 6 23 10 24 8 8 -10 36 -72 36 -80 0 -14 65 -109 94 -138 43 -43 53 -49 118 -71 56 -19 69 -20 118 -9 69 16 97 30 137 72 63 66 80 155 43 228 -25 49 -36 51 -38 5 -4 -105 -86 -162 -174 -119 -54 26 -72 60 -76 140 -6 106 26 162 118 203 92 42 311 20 505 -50 102 -36 115 -39 115 -24 0 22 -96 132 -158 181 -135 106 -318 173 -487 179 -55 2 -111 1 -125 -1z'/> <path d='M8370 2549 c-142 -28 -311 -113 -412 -208 -64 -60 -134 -148 -125 -158 3 -2 51 12 108 32 151 53 266 75 384 75 89 0 107 -3 153 -26 43 -21 58 -36 78 -77 22 -43 25 -61 22 -121 -4 -80 -22 -114 -76 -140 -90 -43 -172 14 -172 121 l0 38 -26 -26 c-33 -33 -43 -117 -21 -170 48 -116 180 -180 299 -145 99 29 184 116 230 240 24 62 22 60 46 45 42 -26 116 24 128 87 21 114 -70 203 -264 260 -58 16 -71 23 -55 28 65 21 92 76 54 110 -46 42 -226 60 -351 35z'/> <path d='M7476 2222 c-26 -93 -79 -152 -173 -194 -60 -27 -198 -30 -253 -5 -47 20 -78 55 -82 92 l-3 30 -65 -66 c-88 -88 -135 -180 -135 -263 0 -78 2 -84 48 -122 41 -36 123 -64 184 -64 149 0 336 80 429 183 42 47 45 49 39 21 -15 -68 -67 -154 -121 -202 -75 -67 -143 -102 -247 -127 l-87 -21 27 -25 c16 -13 68 -51 117 -84 114 -76 247 -202 286 -269 16 -29 36 -77 44 -107 8 -30 16 -47 19 -39 3 8 11 33 17 55 34 112 126 214 323 357 75 55 137 103 137 108 0 5 -25 14 -55 20 -65 14 -162 52 -213 84 -80 50 -156 159 -178 251 -6 29 -6 29 31 -13 46 -52 135 -114 207 -143 107 -43 240 -60 304 -40 16 5 41 12 57 15 15 4 42 21 61 39 85 83 47 242 -94 386 l-65 66 -3 -30 c-8 -69 -79 -107 -202 -109 -78 -1 -92 2 -153 32 -80 40 -130 98 -155 184 -9 32 -20 58 -23 58 -4 0 -14 -26 -23 -58z'/> <path d='M6741 1416 c-49 -17 -81 -59 -81 -104 1 -75 56 -107 186 -107 51 0 95 3 99 7 13 13 -5 59 -28 68 -38 15 53 12 134 -5 152 -32 286 -128 363 -259 21 -36 40 -66 42 -66 8 0 -40 117 -61 150 -42 67 -117 140 -198 194 -171 113 -349 161 -456 122z'/> <path d='M8060 1416 c-247 -70 -467 -259 -506 -435 -4 -16 9 -2 31 34 51 84 146 171 230 212 72 34 183 63 245 63 34 0 34 0 12 -16 -25 -18 -29 -59 -6 -68 9 -3 52 -6 96 -6 119 0 178 39 178 118 0 90 -138 138 -280 98z'/> <path d='M7386 784 c-83 -87 -97 -106 -86 -118 21 -26 191 -191 199 -194 11 -4 211 188 211 202 0 14 -202 216 -215 215 -5 -1 -54 -48 -109 -105z'/> </g> </svg>";

document.documentElement.style.setProperty('--fancyframe','url("' + wg + '")');

// glen svg
var couillon = "data:image/svg+xml;charset=utf8,<svg xmlns='http://www.w3.org/2000/svg' width='150pt' height='150pt' viewBox='0 0 150 150' preserveAspectRatio='xMidYMid meet'><g transform='translate(0,150) scale(0.1,-0.1)' fill='black' stroke='none'><path d='M635 1320 c-110 -44 -267 -105 -348 -137 -82 -32 -160 -69 -173 -82 l-24 -24 0 -358 c0 -357 0 -358 23 -383 15 -18 103 -58 287 -131 146 -58 272 -105 280 -105 27 0 534 202 554 221 18 17 19 35 17 382 -2 291 0 365 11 373 7 6 36 19 63 29 28 10 75 29 105 42 l55 24 -34 15 c-18 8 -45 14 -59 14 -14 0 -181 -61 -369 -136 l-344 -135 -52 19 c-275 104 -369 145 -353 154 34 19 571 228 586 228 9 0 78 -25 155 -55 147 -58 172 -62 220 -41 l30 14 -35 15 c-122 53 -350 137 -371 137 -13 -1 -114 -36 -224 -80z m-210 -365 c132 -52 249 -95 260 -95 11 0 123 41 248 90 126 50 232 90 238 90 5 0 9 -134 9 -338 l0 -338 -221 -87 c-122 -48 -225 -84 -230 -81 -5 3 -9 81 -9 173 0 147 -2 171 -17 189 -10 10 -66 36 -125 56 l-106 38 -43 -19 -43 -19 121 -43 c67 -24 124 -50 127 -58 3 -8 6 -84 6 -169 0 -117 -3 -154 -12 -154 -7 0 -112 41 -233 89 l-220 89 -3 341 c-1 188 1 341 5 341 5 0 116 -43 248 -95z'></path></g></svg>";
    
document.documentElement.style.setProperty('--glenlogo','url("' + couillon + '")');
    
// pandora hearts sigil
// creator: Mochizuki Jun
var uvhv = "data:image/svg+xml;charset=utf8,<svg version='1.0' xmlns='http://www.w3.org/2000/svg' width='300.000000pt' height='303.000000pt' viewBox='0 0 300.000000 303.000000' preserveAspectRatio='xMidYMid meet'> <g transform='translate(0.000000,303.000000) scale(0.100000,-0.100000)' stroke='none'> <path d='M1481 2971 c-2 -64 -34 -216 -52 -252 -25 -50 -39 -59 -112 -69 -35 -5 -71 -12 -79 -15 -11 -4 -25 8 -44 39 -16 25 -32 46 -36 46 -4 0 -8 -23 -10 -51 l-3 -52 -80 -34 c-99 -42 -117 -38 -195 34 -33 30 -60 54 -60 52 0 -2 7 -26 15 -53 8 -27 15 -69 15 -93 0 -48 -3 -51 -98 -131 l-51 -43 -52 26 c-28 15 -50 23 -48 18 2 -4 12 -29 22 -54 l19 -47 -57 -71 c-67 -83 -90 -91 -185 -67 -34 9 -64 16 -68 16 -3 0 15 -21 40 -47 26 -27 53 -63 61 -81 13 -31 12 -40 -17 -115 -16 -45 -31 -83 -32 -85 0 -1 -27 -6 -58 -10 l-58 -7 47 -33 c38 -27 46 -37 41 -55 -3 -13 -8 -49 -12 -81 -6 -48 -12 -61 -38 -81 -36 -28 -121 -52 -213 -61 -35 -4 -66 -10 -68 -14 -2 -4 24 -10 59 -14 89 -9 175 -33 217 -61 32 -21 37 -29 42 -77 4 -30 9 -68 13 -84 5 -28 2 -33 -42 -61 l-47 -31 34 -6 c19 -3 44 -7 57 -8 19 -2 29 -17 53 -78 16 -41 29 -84 29 -96 0 -26 -50 -105 -84 -131 -37 -29 -33 -33 21 -17 49 15 131 18 149 6 17 -11 114 -134 114 -144 0 -5 -9 -27 -21 -49 -11 -23 -18 -43 -16 -45 3 -3 25 5 50 17 l45 22 71 -54 c56 -43 72 -61 77 -87 6 -32 -6 -114 -22 -157 -5 -12 15 1 51 33 84 75 86 75 225 24 l55 -20 5 -57 5 -57 33 47 c23 32 38 45 50 41 9 -3 44 -8 77 -12 33 -3 69 -14 79 -23 32 -27 54 -91 73 -210 l18 -115 17 122 c17 116 40 185 70 209 7 6 40 13 73 17 33 3 69 8 80 11 16 4 28 -6 55 -47 l35 -53 6 58 c4 32 9 61 13 64 10 10 149 63 166 63 23 0 82 -39 118 -79 l33 -36 -6 30 c-3 17 -8 60 -12 97 -5 57 -3 68 13 81 11 9 45 37 78 63 l58 47 44 -22 c25 -11 47 -21 49 -21 3 0 -5 21 -19 47 l-23 47 41 50 c97 117 109 122 212 91 72 -22 73 -20 22 33 -26 26 -53 62 -61 80 -13 31 -11 39 22 122 l35 89 55 3 56 3 -48 30 c-41 26 -47 34 -43 55 3 14 9 53 12 88 7 63 7 63 57 92 35 20 75 32 136 40 143 19 145 21 31 40 -114 19 -148 30 -190 60 -23 16 -28 29 -33 80 -4 33 -9 71 -12 83 -4 18 4 28 47 57 l52 35 -62 6 c-34 3 -64 8 -65 10 -2 2 -17 41 -34 86 l-31 83 20 40 c11 21 37 55 59 75 21 19 39 37 39 39 0 2 -21 -2 -47 -10 -66 -20 -140 -18 -157 4 -8 9 -36 43 -61 74 l-46 58 21 46 c11 26 19 49 17 50 -2 2 -20 -5 -40 -16 -20 -11 -42 -20 -48 -20 -9 0 -48 30 -141 106 -22 17 -24 101 -3 159 8 22 15 42 15 43 0 2 -24 -17 -52 -44 -74 -66 -103 -77 -148 -54 -19 9 -59 25 -87 34 l-53 18 0 54 c0 30 -3 54 -7 54 -5 0 -21 -21 -37 -46 -18 -29 -34 -43 -43 -40 -8 3 -44 11 -81 16 -36 6 -72 16 -80 22 -35 29 -66 139 -85 303 -4 30 -4 29 -6 -4z m-51 -377 c16 -26 35 -71 41 -101 l13 -55 13 51 c17 67 48 128 73 141 14 8 37 5 89 -9 39 -11 75 -22 81 -26 5 -3 10 -27 10 -53 1 -51 -3 -53 48 15 l17 23 78 -22 c96 -26 105 -41 89 -133 -6 -33 -14 -70 -18 -83 -5 -18 5 -12 46 27 29 28 68 55 87 62 35 11 36 11 98 -51 l64 -63 -20 -40 c-11 -21 -18 -41 -16 -44 3 -2 19 3 36 11 16 9 36 16 43 16 8 0 39 -26 70 -57 l57 -58 -14 -39 c-8 -21 -35 -61 -62 -89 -29 -30 -40 -47 -28 -43 47 17 126 28 159 22 32 -6 36 -11 51 -61 32 -111 32 -109 -19 -144 -50 -35 -55 -42 -28 -39 9 1 36 0 58 0 l42 -2 16 -65 c21 -85 20 -97 -8 -124 -25 -24 -113 -60 -149 -62 -12 0 8 -10 46 -22 37 -12 83 -34 101 -49 l34 -28 -21 -82 -22 -83 -53 -5 -54 -5 46 -32 c42 -30 45 -34 36 -60 -5 -15 -14 -47 -20 -70 -6 -23 -17 -49 -26 -58 -20 -19 -95 -20 -160 0 -27 8 -51 15 -54 15 -2 0 13 -14 33 -31 48 -39 87 -100 87 -134 0 -18 -17 -44 -55 -82 l-56 -57 -46 23 c-41 20 -45 20 -38 4 31 -77 32 -71 -32 -135 l-61 -60 -37 12 c-21 7 -60 34 -87 60 -37 35 -48 42 -44 27 21 -71 27 -125 19 -157 -9 -34 -12 -35 -91 -54 -82 -20 -83 -20 -96 0 -47 64 -44 64 -51 8 l-7 -51 -72 -17 c-39 -9 -79 -16 -88 -16 -23 0 -67 78 -82 143 l-11 52 -17 -60 c-20 -72 -56 -129 -84 -133 -11 -2 -52 6 -90 16 l-69 19 -5 49 -5 49 -29 -38 c-33 -43 -34 -43 -141 -12 -50 15 -55 19 -61 51 -6 33 5 112 22 159 5 13 -7 7 -37 -21 -100 -93 -123 -96 -199 -19 -59 59 -57 51 -24 129 6 16 4 18 -12 12 -79 -33 -70 -36 -129 29 -74 82 -72 99 19 193 l51 53 -45 -16 c-52 -19 -156 -23 -171 -8 -6 6 -19 46 -30 89 -23 86 -25 77 36 118 18 12 15 14 -27 20 -41 6 -48 11 -57 39 -23 73 -32 119 -26 136 7 23 69 57 136 74 l54 14 -60 17 c-33 10 -77 29 -99 43 -36 23 -38 27 -32 61 3 21 13 61 21 90 l16 52 44 0 c25 0 45 3 45 8 0 4 -16 17 -36 30 -40 26 -40 28 -9 137 15 51 19 55 53 61 33 6 124 -6 170 -23 9 -4 2 6 -17 23 -42 35 -91 110 -91 139 0 12 24 45 59 79 l58 58 43 -22 c39 -20 42 -20 35 -3 -31 76 -32 70 31 134 49 50 63 59 84 54 30 -8 111 -67 134 -97 14 -19 16 -20 11 -4 -3 11 -11 49 -16 85 -16 96 -7 114 73 135 34 10 70 19 79 22 10 3 26 -10 45 -38 l29 -42 5 50 5 49 80 22 c44 12 83 22 88 22 4 1 21 -20 37 -45z'></path> <path d='M1390 2410 c-79 -10 -201 -39 -215 -52 -6 -6 -4 -7 8 -2 26 10 81 -4 105 -27 16 -14 22 -32 22 -59 0 -73 -108 -165 -209 -177 -132 -15 -175 78 -82 181 68 75 -112 -59 -195 -145 -70 -74 -142 -169 -127 -169 5 0 14 9 21 20 23 38 102 80 149 80 38 0 46 -4 64 -32 36 -59 8 -154 -55 -187 l-25 -14 48 -22 c56 -26 87 -62 102 -118 17 -62 -9 -156 -46 -171 -23 -9 -73 19 -129 73 l-49 46 19 -35 c52 -97 328 -324 443 -365 67 -23 81 -18 24 10 -61 31 -146 118 -173 177 -45 98 -13 178 70 178 78 0 192 -80 267 -187 l41 -59 -64 -112 -64 -112 43 -58 c23 -32 55 -86 71 -119 l30 -61 32 64 c19 35 52 89 74 119 l41 55 -65 112 -64 112 41 59 c86 122 157 188 277 255 97 54 186 64 225 26 19 -20 19 -76 0 -113 -8 -16 -33 -44 -55 -63 -51 -44 -140 -93 -140 -77 0 6 14 37 31 68 18 31 41 72 51 91 l20 35 -27 -30 c-49 -56 -126 -180 -175 -280 -48 -101 -130 -292 -130 -304 0 -3 24 39 53 94 71 134 125 213 187 268 53 48 128 84 155 73 40 -15 36 -104 -8 -176 -40 -65 -131 -152 -233 -220 -113 -76 -196 -162 -243 -249 -40 -76 -40 -92 0 -22 76 133 225 230 366 239 61 4 77 2 93 -13 28 -25 25 -76 -6 -139 -64 -128 -162 -213 -307 -267 l-52 -20 45 7 c199 29 431 181 566 371 38 53 114 198 114 218 0 4 -19 -13 -42 -38 -53 -56 -76 -64 -111 -37 -52 41 -58 142 -15 257 25 67 94 143 130 143 32 0 65 -36 77 -85 8 -31 10 -7 7 100 -5 162 -23 243 -87 370 -34 70 -98 167 -71 110 33 -72 58 -284 42 -360 -6 -30 -14 -57 -18 -59 -4 -2 -7 57 -7 132 0 123 -3 144 -27 210 -52 144 -143 271 -242 336 -77 51 -98 57 -59 16 85 -88 52 -179 -64 -180 -54 0 -156 53 -195 101 -41 51 -48 107 -16 136 13 12 42 26 63 31 l40 8 -50 13 c-27 6 -82 15 -121 19 l-70 8 32 -33 c47 -47 63 -125 41 -196 -9 -29 -26 -67 -37 -85 l-21 -34 -20 26 c-31 40 -23 94 19 122 18 13 28 25 22 29 -16 10 -48 77 -56 120 l-7 40 -12 -45 c-13 -50 -40 -105 -55 -115 -6 -4 4 -16 22 -29 41 -27 49 -72 20 -118 l-20 -31 -25 44 c-63 109 -54 223 21 286 15 13 25 22 22 22 -3 -1 -34 -5 -70 -9z m723 -388 c64 -151 70 -181 70 -322 0 -138 -18 -244 -60 -350 -27 -70 -83 -169 -95 -170 -9 0 -1 23 40 110 17 36 36 96 43 135 14 83 6 244 -16 330 -21 76 -81 200 -119 243 -16 18 -25 36 -22 40 11 11 82 -76 112 -138 15 -30 38 -84 50 -120 l24 -65 -6 70 c-9 101 -31 203 -59 273 -14 34 -25 66 -25 72 0 28 22 -9 63 -108z m-784 53 l54 -25 -23 -25 c-18 -19 -21 -31 -16 -58 4 -19 14 -41 23 -48 14 -12 15 -11 9 9 -16 50 41 71 70 26 15 -21 37 -174 26 -174 -2 0 -15 6 -30 14 -15 7 -38 17 -52 20 -22 6 -21 5 7 -14 83 -55 98 -218 26 -282 -18 -17 -21 -15 -78 58 -99 127 -205 209 -322 250 -29 10 -53 22 -53 26 0 39 89 175 135 207 69 47 145 53 224 16z m466 14 c62 -16 125 -74 169 -158 20 -38 36 -74 36 -79 0 -6 -17 -16 -37 -23 -121 -39 -231 -120 -329 -243 -37 -48 -73 -85 -79 -83 -5 2 -20 22 -33 45 -47 84 -25 198 47 248 l36 25 -30 -7 c-16 -3 -41 -13 -53 -21 -13 -8 -25 -13 -27 -11 -10 10 16 163 31 179 33 36 82 13 69 -33 -6 -23 -6 -23 10 -3 28 35 29 64 6 96 l-22 30 43 18 c82 35 95 37 163 20z m-269 -876 l26 -82 -23 -68 c-46 -139 -42 -137 -78 -33 -36 105 -35 122 21 270 12 32 21 19 54 -87z'></path> <path d='M610 1773 c-50 -181 -52 -367 -6 -527 15 -48 33 -100 40 -115 13 -25 14 -24 9 20 -10 92 40 116 118 57 83 -65 153 -196 147 -278 -5 -69 -52 -79 -117 -24 -61 51 -29 5 47 -67 118 -114 290 -210 412 -233 28 -5 24 -2 -17 14 -62 25 -147 98 -161 140 -19 54 11 51 160 -17 54 -24 126 -49 160 -55 35 -6 66 -14 71 -18 10 -8 163 18 207 36 44 19 140 76 140 84 0 4 -32 -10 -72 -29 -67 -34 -78 -36 -167 -36 -87 0 -101 3 -143 27 -74 44 -121 115 -188 283 -38 97 -65 138 -131 201 -65 61 -131 107 -202 139 -84 38 -108 41 -57 7 56 -36 75 -57 95 -105 21 -51 19 -100 -5 -122 -18 -17 -21 -16 -63 4 -62 30 -148 124 -190 207 -58 116 -71 173 -72 316 0 71 -1 128 -2 128 -1 0 -7 -17 -13 -37z m557 -642 c33 -24 43 -39 56 -88 10 -33 17 -66 17 -74 0 -32 31 -118 55 -154 14 -20 24 -39 22 -41 -8 -8 -175 139 -211 185 -38 51 -65 109 -66 144 -1 62 61 76 127 28z'></path> </g> </svg>";

document.documentElement.style.setProperty('--pandorasigil','url("' + uvhv + '")');

// pandora hearts sigil - clock hand
// creator: Mochizuki Jun
var uqyq = "data:image/svg+xml;charset=utf8,<svg version='1.0' xmlns='http://www.w3.org/2000/svg' width='30.000000pt' height='152.000000pt' viewBox='0 0 30.000000 152.000000' preserveAspectRatio='xMidYMid meet'> <g transform='translate(0.000000,152.000000) scale(0.100000,-0.100000)' stroke='none'> <path d='M146 1475 c-8 -43 -40 -110 -56 -120 -6 -4 4 -16 22 -29 59 -39 42 -133 -27 -156 -52 -17 -79 -52 -71 -93 4 -19 14 -41 23 -48 14 -12 15 -11 9 9 -16 50 41 71 70 26 15 -21 37 -174 26 -174 -2 0 -15 6 -30 14 -15 7 -38 17 -52 20 -22 6 -21 5 7 -14 61 -40 72 -84 73 -274 l0 -169 -65 -113 -65 -114 43 -58 c23 -32 55 -86 71 -119 l30 -61 32 64 c19 35 52 89 74 119 l41 55 -65 113 -65 113 -2 171 c-1 194 7 225 70 269 l36 25 -30 -7 c-16 -3 -41 -13 -53 -21 -13 -8 -25 -13 -27 -11 -10 10 16 163 31 179 32 36 83 12 69 -32 -11 -32 10 -15 25 21 18 43 2 74 -51 101 -61 30 -79 56 -76 104 2 32 8 43 35 61 18 13 28 25 22 29 -15 10 -42 65 -55 115 l-12 45 -7 -40z m50 -1152 l26 -82 -23 -68 c-46 -139 -42 -137 -78 -33 -36 105 -35 122 21 270 12 32 21 19 54 -87z'></path> </g> </svg>";

document.documentElement.style.setProperty('--pandorahand','url("' + uqyq + '")');

// corner musicplayer 'music note'
// flaticon.com/free-icon/musical-note-symbol_44871
var clfctwh = "data:image/svg+xml;charset=utf8,<svg xmlns='http://www.w3.org/2000/svg' xmlns:xlink='http://www.w3.org/1999/xlink' version='1.1' id='Capa_1' x='0px' y='0px' width='38.178px' height='38.178px' viewBox='0 0 38.178 38.178' style='enable-background:new 0 0 38.178 38.178;' xml:space='preserve'> <g> <path d='M34.054,17.222c-0.211,0.189-0.522,0.199-0.747,0.028l-7.443-5.664l-3.526,21.095c-0.013,0.08-0.042,0.153-0.083,0.219 c-0.707,3.024-4.566,5.278-9.104,5.278c-5.087,0-9.226-2.817-9.226-6.28s4.138-6.281,9.226-6.281c2.089,0,4.075,0.467,5.689,1.324 l4.664-26.453c0.042-0.241,0.231-0.434,0.476-0.479c0.236-0.041,0.484,0.067,0.61,0.28L34.17,16.48 C34.315,16.726,34.266,17.033,34.054,17.222z'/> </g> </svg>";

document.documentElement.style.setProperty('--nota','url("' + clfctwh + '")');

// corner musicplayer 'play'
// flaticon.com/free-icon/play_748134
var uzhszvdj = "data:image/svg+xml;charset=utf8,<svg xmlns='http://www.w3.org/2000/svg' xmlns:xlink='http://www.w3.org/1999/xlink' version='1.1' id='Capa_1' x='0px' y='0px' viewBox='0 0 511.999 511.999' style='enable-background:new 0 0 511.999 511.999;' xml:space='preserve'> <g> <g> <path d='M443.86,196.919L141.46,10.514C119.582-2.955,93.131-3.515,70.702,9.016c-22.429,12.529-35.819,35.35-35.819,61.041 v371.112c0,38.846,31.3,70.619,69.77,70.829c0.105,0,0.21,0.001,0.313,0.001c12.022-0.001,24.55-3.769,36.251-10.909 c9.413-5.743,12.388-18.029,6.645-27.441c-5.743-9.414-18.031-12.388-27.441-6.645c-5.473,3.338-10.818,5.065-15.553,5.064 c-14.515-0.079-30.056-12.513-30.056-30.898V70.058c0-11.021,5.744-20.808,15.364-26.183c9.621-5.375,20.966-5.135,30.339,0.636 l302.401,186.405c9.089,5.596,14.29,14.927,14.268,25.601c-0.022,10.673-5.261,19.983-14.4,25.56L204.147,415.945 c-9.404,5.758-12.36,18.049-6.602,27.452c5.757,9.404,18.048,12.36,27.452,6.602l218.611-133.852 c20.931-12.769,33.457-35.029,33.507-59.55C477.165,232.079,464.729,209.767,443.86,196.919z'/> </g> </g> </svg>";

document.documentElement.style.setProperty('--blay','url("' + uzhszvdj + '")');

// corner musuicplayer 'pause'
// flaticon.com/free-icon/pause_748136
var nfuvx = "data:image/svg+xml;charset=utf8,<svg xmlns='http://www.w3.org/2000/svg' xmlns:xlink='http://www.w3.org/1999/xlink' version='1.1' id='Capa_1' x='0px' y='0px' viewBox='0 0 512 512' style='enable-background:new 0 0 512 512;' xml:space='preserve'> <g> <g> <path d='M124.5,0h-35c-44.112,0-80,35.888-80,80v352c0,44.112,35.888,80,80,80h35c44.112,0,80-35.888,80-80V80 C204.5,35.888,168.612,0,124.5,0z M164.5,432c0,22.056-17.944,40-40,40h-35c-22.056,0-40-17.944-40-40V80 c0-22.056,17.944-40,40-40h35c22.056,0,40,17.944,40,40V432z'/> </g> </g> <g> <g> <path d='M482.5,352c11.046,0,20-8.954,20-20V80c0-44.112-35.888-80-80-80h-34c-44.112,0-80,35.888-80,80v352 c0,44.112,35.888,80,80,80h34c44.112,0,80-35.888,80-80c0-11.046-8.954-20-20-20c-11.046,0-20,8.954-20,20 c0,22.056-17.944,40-40,40h-34c-22.056,0-40-17.944-40-40V80c0-22.056,17.944-40,40-40h34c22.056,0,40,17.944,40,40v252 C462.5,343.046,471.454,352,482.5,352z'/> </g> </g> </svg>";

document.documentElement.style.setProperty('--bause','url("' + nfuvx + '")');

/*------------------------------------------*/

$(document).ready(function(){
    // check jquery version
    var jqver = jQuery.fn.jquery;
    jqver = jqver.replaceAll(".","");
    
    $(".tumblr_preview_marker___").remove();
    
    /*-------- TOOLTIPS --------*/
    $("[title]:not([title=''])").style_my_tooltips({
        tip_follows_cursor:true,
        tip_delay_time:50,
        tip_fade_speed:0,
        attribute:"title"
    });
    
    /*------- REMOVE NPF VIDEO AUTOPLAY -------*/
    $("video[autoplay='autoplay']").each(function(){
        $(this).removeAttr("autoplay")
    });
    
    /*----------- NOSRC ADAPT -----------*/
    $(".nosrc").each(function(){
        if($(this).nextAll().find(".reblog-head").length){
            $(this).remove()
        }
    })
    
    /*----------- REMOVE <p> WHITESPACE -----------*/
    $("a.read_more").each(function(){
        var pah = $(this).parent("p");
        if(pah.next().is("p")){
            if($.trim(pah.next().text()) == ""){
                pah.next().remove();
            }
        }
        
        $(this).css("margin-bottom","-3px")
    })
    
    $(".postinner p").each(function(){
        if(!$(this).prev().length){
            if($(this).parent().is(".postinner")){
                $(this).css("margin-top",0)
            }
        }
        
        if(!$(this).next().length){
            $(this).css("margin-bottom",0)
        }
    })
    
    /*----------- REBLOG-HEAD -----------*/
    $(".reblog-url").each(function(){
        var uz = $.trim($(this).text());
        if(uz.indexOf("-deac") > 0){
            var rogner = uz.substring(0,uz.lastIndexOf("-"));
            $(this).find("a").attr("href","//" + rogner + ".tumblr.com");
            $(this).find("a").text(rogner);
            $(this).append("<span class='deac'>(deactivated)</span>")
        }
    })
    
    /*-------- AUDIO BULLSH*T --------*/
    var mtn = Date.now();
    var fvckme = setInterval(function(){
        if(Date.now() - mtn > 1000){
            clearInterval(fvckme);
            $(".audiowrap").each(function(){
                $(this).prepend("<audio src='" + $(this).attr("audio-src") + "'>");
            });
            
            $(".inari").each(function(){
                var m_m = $(this).parents(".audiowrap").attr("audio-src");
                $(this).attr("href",m_m);
            })
        } else {
            $(".tumblr_audio_player").each(function(){
                if($(this).is("[src]")){
                    var audsrc = $(this).attr("src");
                    audsrc = audsrc.split("audio_file=").pop();
                    audsrc = decodeURIComponent(audsrc);
                    audsrc = audsrc.split("&")[0];
                    $(this).parents(".audiowrap").attr("audio-src",audsrc)
                }
            })
        }
    },0);
    
    $(".albumwrap").click(function(){
        
        var emp = $(this).parents(".audiowrap").find("audio")[0];
        
        if(emp.paused){
            emp.play();
            $(".overplay",this).addClass("ov-z");
            $(".overpause",this).addClass("ov-y");
        } else {
            emp.pause();
            $(".overplay",this).removeClass("ov-z");
            $(".overpause",this).removeClass("ov-y");
        }
        
        var that = this
        
        emp.onended = function(){
            $(".overplay",that).removeClass("ov-z");
            $(".overpause",that).removeClass("ov-y");
        }
    })
    
    // minimal soundcloud player Â© shythemes.tumblr
    var color = getComputedStyle(document.documentElement)
               .getPropertyValue("--Audio-Post-Buttons-Background");
    
    $('iframe[src*="soundcloud.com"]').each(function(){
        $(this).one("load",function(){
            soundfvk()
        });
    });
    
    function soundfvk(){
       $('iframe[src*="soundcloud.com"]').each(function(){
           $(this).attr({ src: $(this).attr('src').split('&')[0] + '&amp;liking=false&amp;sharing=false&amp;auto_play=false&amp;show_comments=false&amp;continuous_play=false&amp;buying=false&amp;show_playcount=false&amp;show_artwork=true&amp;origin=tumblr&amp;color=' + color.split('#')[1], height: 116, width: '100%' });
       });
    }
    
    $(".soundcloud_audio_player").each(function(){
        $(this).wrap("<div class='audio-soundcloud'>")
    })
    
    /*-------- QUOTE SOURCE BS --------*/
    $(".quote-source").each(function(){
        $(this).contents().filter(function(){
            return this.nodeType == 3 && this.data.trim().length > 0
        }).wrap("<span>");
        $(this).find("a.tumblr_blog").remove();
        
        $(this).find("span").each(function(){
            if($.trim($(this).text()) == "(via"){
                $(this).remove();
            }
            
            if($.trim($(this).text()) == ")"){
                $(this).remove();
            }
        })
        
        $(this).find("p:last").each(function(){
            $(this).remove();
        })
        
        $(this).find("span:first").each(function(){
            if(!$(this).next().length){
                $(this).remove()
            }
        })
        
        if($.trim($(this).text()) == ""){
            $(this).remove();
        }
      
        $(this).find("span").each(function(){
            $(this).text($.trim($(this).text()));
            var tht = $(this).text();
            var sub = tht.substr(tht.length - 4);
            if(sub == "(via"){
                $(this).text(tht.slice(0,-4))
            }
        })
    })
    
    /*-------- ASK/ANSWER POSTS --------*/
    $(".asker-person .anz").each(function(){
    })
    
    /*-------- CHAT POSTS --------*/
    $(".npf_chat").each(function(){
        $(this).find("b").each(function(){
            var cb = $(this).html();
            $(this).before("<div class='chat_label'>" + cb + "</div>");
            $(this).remove()
        })
        
        $(this).contents().filter(function(){
            return this.nodeType == 3 && this.data.trim().length > 0
        }).wrap("<div class='chat_content'>");
        
        $(this).wrap("<div class='chat_row'>");
        $(this).children().unwrap()
    })
    
    $(".chat_row").each(function(){
        $(this).not(".chat_row + .chat_row").each(function(){
            if(jqver < "180"){
                $(this).nextUntil(":not(.chat_row").andSelf().wrapAll('<div class="chatwrap">');
            } else {
                $(this).nextUntil(":not(.chat_row").addBack().wrapAll('<div class="chatwrap">');
            }
        });
    })
    
    /*---- MAKE SURE <p> IS FIRST CHILD OF RB ----*/
    $(".reblog-head").each(function(){
        if(!$(this).next(".reblog-comment").length){
            $(this).nextAll().wrapAll("<div class='reblog-comment corps'>")
        }
    })
    
    $(".reblog-comment").each(function(){
        if($(this).children().first().is("div")){
            $(this).prepend("<p></p>")
        }
    })
  
    $(".corps").each(function(){
      $(this).contents().filter(function(){
        return this.nodeType === 3  && this.data.trim().length > 0
      }).wrap("<span>")
    })
  
    $(".text-post .corps:not(.reblog-comment) > p:first-child").each(function(){
      if(!$(this).prev().length){
        $(this).css("margin-top",0);
      }
    })
  
    $(".corps").find("p:last").each(function(){
      if($.trim($(this).html()) == ""){
        $(this).remove();
      }
    })
  
    $(".corps").find("p:last").each(function(){
      if(!$(this).next().length){
        $(this).css("margin-bottom",0)
      }
    })
    
    
    /*-------- CLICKTAGS --------*/
    var tags_ms = parseInt(getComputedStyle(document.documentElement)
                   .getPropertyValue("--Tags-Fade-Speed-MS"));
    
    
    $(".clicktags").click(function(){
        var that = this;
        var tagsdiv = $(this).parents(".permadiv").prev(".cartel").find(".tagsdiv");
        
        if(!$(this).hasClass("clique")){
            $(this).addClass("clique");
            tagsdiv.slideDown(tags_ms);
            setTimeout(function(){
                tagsdiv.addClass("tagsfade");
            },tags_ms);
        } else {
            tagsdiv.removeClass("tagsfade");
            setTimeout(function(){
                tagsdiv.slideUp(tags_ms);
                $(that).removeClass("clique");
            },tags_ms)
        }
    })
    
    /*----------- POST NOTES -----------*/
    $("ol.notes a[title]").each(function(){
        $(this).removeAttr("title")
    });
    
    /*--------- BLACK OR WHITE TUMBLR CONTROLS ---------*/
    if(on_main){
        var tc = getComputedStyle(document.documentElement)
                .getPropertyValue("--TumblrControls-Color");
        
        var nao = Date.now();
        
        var trex = setInterval(function(){
            if(Date.now - nao > 6969){
                clearInterval(trex)
            } else {
                if(tc == "black"){
                    $(".iframe-controls--desktop").addClass("tc-black");
                }
                
                $(".iframe-controls--desktop").css("visibility","visible");
                $(".iframe-controls--desktop").addClass("t-opac");
            }
        },0);
    }
    
    // remove tumblr redirects script by magnusthemes@tumblr
    // part 1/2
    $('a[href*="t.umblr.com/redirect"]').each(function(){
      var originalURL = $(this).attr("href").split("?z=")[1].split("&t=")[0];
      var replaceURL = decodeURIComponent(originalURL);
      $(this).attr("href", replaceURL);
    });
    
    // part 2/2
    function noHrefLi(){
        var linkSet = document.querySelectorAll('a[href*="href.li/?"]');
        Array.prototype.forEach.call(linkSet,function(el,i){
            var theLink = linkSet[i].getAttribute('href').split("href.li/?")[1];
            linkSet[i].setAttribute("href",theLink);
        });
    }
    noHrefLi();
    
    /*---------- DIAMOND LINKS B*LLSHIT ----------*/
    $(".un-lyn").each(function(){
        if($(this).attr("href").indexOf("glenthemes.tumblr.com") > 0){
            $(this).addClass("glenny");
        }
        
        if($(this).is("[title]") && $(this).attr("title") !== ""){
            var shovel = $(this).attr("title");
            $(this).attr("data-title",shovel);
            $(this).removeAttr("title");
            
            $(this).find(".spectre").before("<div class='nav-tt'>" + shovel + "</div>");
        }
    })
    
    $(".un-lyn").each(function(){
        if(!$(this).parent().find("a[href*='glenthemes.tumblr.com']").length){
            $("body").append("<a class='poompkin' href='//glenthemes.tumblr.com' title='theme by glenthemes'>glenthemes</a>");
        }
    })
    
    // chad
    $(".poompkin").css({
        "position":"fixed",
        "display":"block",
        "bottom":"0",
        "margin-bottom":"11px",
        "right":"0",
        "margin-right":"11px",
        "padding":"4px",
        "font-family":"regis",
        "font-size":"calc(var(--Body-Font-Size) - 2px)",
        "text-transform":"uppercase",
        "letter-spacing":"1.3px",
        "z-index":"69"
    })
    
    /*---------- SIDEBAR PIC ----------*/
    $(".corcle").each(function(){
        var bgimg = $(this).css("background-image");
        bgimg = bgimg.slice(5).slice(0,-2);
        if(bgimg.indexOf("cdn.glitch.com/eb6f6a0d-8a93-42cd-90de-edc83e4c0aee%2F9f6a2a3e-2cb3-4de9-88ed-9fc5549b8142") > 0){
            $(".corcle").attr("title","art by surfacage")
        }
    })
    
    $(".descbox").each(function(){
        $(this).contents().filter(function(){
            return this.nodeType === 3 && this.data.trim().length > 0;
        }).wrap("<span>");
      
        var fisp = $(this).find("p:first");
        if(!fisp.prev().length){
            fisp.css("margin-top",0)
        }
        
        var lastp = $(this).find("p:last");
        
        if(!lastp.next().length){
            lastp.css("margin-bottom",0)
        }
    })
    
    /*---------- CORNER MUSIC PLAYER ----------*/
    if($(".mplayer").length){
      var aaa = document.getElementById("musique");

      aaa.volume = 0.69;

      if($("#musique").is("[autoplay]")){
          $(".pausee").addClass("aff");
          $(".playy").addClass("beff");
      }

      $(".music-controls").click(function(){
          if (aaa.paused) {
            aaa.play();
            $(".pausee").toggleClass("aff");
            $(".playy").toggleClass("beff");
          } else {
            aaa.pause();
            $(".playy").toggleClass("beff");
            $(".pausee").toggleClass("aff");
          }
      });

      aaa.onended = function(){
          $(".playy").removeClass("beff");
        $(".pausee").removeClass("aff");
      };

      $("#musique").each(function(){
          var mp3 = $.trim($(this).attr("src"));
          mp3 = mp3.replaceAll("?dl=0","").replaceAll("www.dropbox","dl.dropbox");
          $(this).attr("src",mp3)
      })
    }
  
    /*---------- make iframe heights more 'normal' ----------*/
    $(".embed_iframe").each(function(){
        if($(this).parent().is(".tmblr-embed")){
            var wut = $(this).width();
            
            var wrath = $(this).attr("width");
            var rat_w = wrath / wut;
            
            var hrath = $(this).attr("height");
            var rat_h = hrath / rat_w;
            
            $(this).height(rat_h)
        }
    })
  
    /*---------- REPLACE DROPBOX FONTS ----------*/
    $("head").prepend("<style>@font-face {font-family: 'magical source';src: url('//glen-assets.github.io/fonts/MagicalSource.ttf');}</style>");
  
    $("head").prepend("<style>@font-face {font-family: 'regis';src: url('//glen-assets.github.io/fonts/Regis-Semi Bold.ttf');}</style>");
  
    // increase gap between nosrc and captionless audio
    $(".audio-post .nosrc + .reblog-comment.corps").each(function(){
      $(this).css("padding-top","var(--Reblogger-Avatar-Bottom-Gap)");
      $(this).parents(".audio-post").find(".audiowrap").each(function(){
        var btb = $(this).css("border-bottom");
        $(this).css("border-top",btb)
      })
    })
  
    // increase the gap between reblogger icon+name and npf_inst
    $(".reblog-comment > .npf_inst").each(function(){
        if(!$(this).prev().length){
            $(this).before("<p></p>")
        }
    })
    
    /*---------- LOADING THING ----------*/
    if("html[ls='on']"){
      if(customize_page){
          $(".overload").hide();
          $(".tout").addClass("showlah")
      }

      if(on_main){
          setTimeout(function(){
              $(".overload").addClass("fadechicken");
              setTimeout(function(){
                  $(".overload").hide();
                  $(".tout").addClass("showlah");
              },250)
          },2000);
      }
    }
});//end jquery / end docready / end ready
